use {jay_config::keyboard::syms::*, phf::phf_map};

pub static KEYSYMS: phf::Map<&'static str, KeySym> = phf_map! {
    "NoSymbol" => SYM_NoSymbol,
    "VoidSymbol" => SYM_VoidSymbol,
    "BackSpace" => SYM_BackSpace,
    "Tab" => SYM_Tab,
    "Linefeed" => SYM_Linefeed,
    "Clear" => SYM_Clear,
    "Return" => SYM_Return,
    "Pause" => SYM_Pause,
    "Scroll_Lock" => SYM_Scroll_Lock,
    "Sys_Req" => SYM_Sys_Req,
    "Escape" => SYM_Escape,
    "Delete" => SYM_Delete,
    "Multi_key" => SYM_Multi_key,
    "Codeinput" => SYM_Codeinput,
    "SingleCandidate" => SYM_SingleCandidate,
    "MultipleCandidate" => SYM_MultipleCandidate,
    "PreviousCandidate" => SYM_PreviousCandidate,
    "Kanji" => SYM_Kanji,
    "Muhenkan" => SYM_Muhenkan,
    "Henkan_Mode" => SYM_Henkan_Mode,
    "Henkan" => SYM_Henkan,
    "Romaji" => SYM_Romaji,
    "Hiragana" => SYM_Hiragana,
    "Katakana" => SYM_Katakana,
    "Hiragana_Katakana" => SYM_Hiragana_Katakana,
    "Zenkaku" => SYM_Zenkaku,
    "Hankaku" => SYM_Hankaku,
    "Zenkaku_Hankaku" => SYM_Zenkaku_Hankaku,
    "Touroku" => SYM_Touroku,
    "Massyo" => SYM_Massyo,
    "Kana_Lock" => SYM_Kana_Lock,
    "Kana_Shift" => SYM_Kana_Shift,
    "Eisu_Shift" => SYM_Eisu_Shift,
    "Eisu_toggle" => SYM_Eisu_toggle,
    "Kanji_Bangou" => SYM_Kanji_Bangou,
    "Zen_Koho" => SYM_Zen_Koho,
    "Mae_Koho" => SYM_Mae_Koho,
    "Home" => SYM_Home,
    "Left" => SYM_Left,
    "Up" => SYM_Up,
    "Right" => SYM_Right,
    "Down" => SYM_Down,
    "Prior" => SYM_Prior,
    "Page_Up" => SYM_Page_Up,
    "Next" => SYM_Next,
    "Page_Down" => SYM_Page_Down,
    "End" => SYM_End,
    "Begin" => SYM_Begin,
    "Select" => SYM_Select,
    "Print" => SYM_Print,
    "Execute" => SYM_Execute,
    "Insert" => SYM_Insert,
    "Undo" => SYM_Undo,
    "Redo" => SYM_Redo,
    "Menu" => SYM_Menu,
    "Find" => SYM_Find,
    "Cancel" => SYM_Cancel,
    "Help" => SYM_Help,
    "Break" => SYM_Break,
    "Mode_switch" => SYM_Mode_switch,
    "script_switch" => SYM_script_switch,
    "Num_Lock" => SYM_Num_Lock,
    "KP_Space" => SYM_KP_Space,
    "KP_Tab" => SYM_KP_Tab,
    "KP_Enter" => SYM_KP_Enter,
    "KP_F1" => SYM_KP_F1,
    "KP_F2" => SYM_KP_F2,
    "KP_F3" => SYM_KP_F3,
    "KP_F4" => SYM_KP_F4,
    "KP_Home" => SYM_KP_Home,
    "KP_Left" => SYM_KP_Left,
    "KP_Up" => SYM_KP_Up,
    "KP_Right" => SYM_KP_Right,
    "KP_Down" => SYM_KP_Down,
    "KP_Prior" => SYM_KP_Prior,
    "KP_Page_Up" => SYM_KP_Page_Up,
    "KP_Next" => SYM_KP_Next,
    "KP_Page_Down" => SYM_KP_Page_Down,
    "KP_End" => SYM_KP_End,
    "KP_Begin" => SYM_KP_Begin,
    "KP_Insert" => SYM_KP_Insert,
    "KP_Delete" => SYM_KP_Delete,
    "KP_Equal" => SYM_KP_Equal,
    "KP_Multiply" => SYM_KP_Multiply,
    "KP_Add" => SYM_KP_Add,
    "KP_Separator" => SYM_KP_Separator,
    "KP_Subtract" => SYM_KP_Subtract,
    "KP_Decimal" => SYM_KP_Decimal,
    "KP_Divide" => SYM_KP_Divide,
    "KP_0" => SYM_KP_0,
    "KP_1" => SYM_KP_1,
    "KP_2" => SYM_KP_2,
    "KP_3" => SYM_KP_3,
    "KP_4" => SYM_KP_4,
    "KP_5" => SYM_KP_5,
    "KP_6" => SYM_KP_6,
    "KP_7" => SYM_KP_7,
    "KP_8" => SYM_KP_8,
    "KP_9" => SYM_KP_9,
    "F1" => SYM_F1,
    "F2" => SYM_F2,
    "F3" => SYM_F3,
    "F4" => SYM_F4,
    "F5" => SYM_F5,
    "F6" => SYM_F6,
    "F7" => SYM_F7,
    "F8" => SYM_F8,
    "F9" => SYM_F9,
    "F10" => SYM_F10,
    "F11" => SYM_F11,
    "L1" => SYM_L1,
    "F12" => SYM_F12,
    "L2" => SYM_L2,
    "F13" => SYM_F13,
    "L3" => SYM_L3,
    "F14" => SYM_F14,
    "L4" => SYM_L4,
    "F15" => SYM_F15,
    "L5" => SYM_L5,
    "F16" => SYM_F16,
    "L6" => SYM_L6,
    "F17" => SYM_F17,
    "L7" => SYM_L7,
    "F18" => SYM_F18,
    "L8" => SYM_L8,
    "F19" => SYM_F19,
    "L9" => SYM_L9,
    "F20" => SYM_F20,
    "L10" => SYM_L10,
    "F21" => SYM_F21,
    "R1" => SYM_R1,
    "F22" => SYM_F22,
    "R2" => SYM_R2,
    "F23" => SYM_F23,
    "R3" => SYM_R3,
    "F24" => SYM_F24,
    "R4" => SYM_R4,
    "F25" => SYM_F25,
    "R5" => SYM_R5,
    "F26" => SYM_F26,
    "R6" => SYM_R6,
    "F27" => SYM_F27,
    "R7" => SYM_R7,
    "F28" => SYM_F28,
    "R8" => SYM_R8,
    "F29" => SYM_F29,
    "R9" => SYM_R9,
    "F30" => SYM_F30,
    "R10" => SYM_R10,
    "F31" => SYM_F31,
    "R11" => SYM_R11,
    "F32" => SYM_F32,
    "R12" => SYM_R12,
    "F33" => SYM_F33,
    "R13" => SYM_R13,
    "F34" => SYM_F34,
    "R14" => SYM_R14,
    "F35" => SYM_F35,
    "R15" => SYM_R15,
    "Shift_L" => SYM_Shift_L,
    "Shift_R" => SYM_Shift_R,
    "Control_L" => SYM_Control_L,
    "Control_R" => SYM_Control_R,
    "Caps_Lock" => SYM_Caps_Lock,
    "Shift_Lock" => SYM_Shift_Lock,
    "Meta_L" => SYM_Meta_L,
    "Meta_R" => SYM_Meta_R,
    "Alt_L" => SYM_Alt_L,
    "Alt_R" => SYM_Alt_R,
    "Super_L" => SYM_Super_L,
    "Super_R" => SYM_Super_R,
    "Hyper_L" => SYM_Hyper_L,
    "Hyper_R" => SYM_Hyper_R,
    "ISO_Lock" => SYM_ISO_Lock,
    "ISO_Level2_Latch" => SYM_ISO_Level2_Latch,
    "ISO_Level3_Shift" => SYM_ISO_Level3_Shift,
    "ISO_Level3_Latch" => SYM_ISO_Level3_Latch,
    "ISO_Level3_Lock" => SYM_ISO_Level3_Lock,
    "ISO_Level5_Shift" => SYM_ISO_Level5_Shift,
    "ISO_Level5_Latch" => SYM_ISO_Level5_Latch,
    "ISO_Level5_Lock" => SYM_ISO_Level5_Lock,
    "ISO_Group_Shift" => SYM_ISO_Group_Shift,
    "ISO_Group_Latch" => SYM_ISO_Group_Latch,
    "ISO_Group_Lock" => SYM_ISO_Group_Lock,
    "ISO_Next_Group" => SYM_ISO_Next_Group,
    "ISO_Next_Group_Lock" => SYM_ISO_Next_Group_Lock,
    "ISO_Prev_Group" => SYM_ISO_Prev_Group,
    "ISO_Prev_Group_Lock" => SYM_ISO_Prev_Group_Lock,
    "ISO_First_Group" => SYM_ISO_First_Group,
    "ISO_First_Group_Lock" => SYM_ISO_First_Group_Lock,
    "ISO_Last_Group" => SYM_ISO_Last_Group,
    "ISO_Last_Group_Lock" => SYM_ISO_Last_Group_Lock,
    "ISO_Left_Tab" => SYM_ISO_Left_Tab,
    "ISO_Move_Line_Up" => SYM_ISO_Move_Line_Up,
    "ISO_Move_Line_Down" => SYM_ISO_Move_Line_Down,
    "ISO_Partial_Line_Up" => SYM_ISO_Partial_Line_Up,
    "ISO_Partial_Line_Down" => SYM_ISO_Partial_Line_Down,
    "ISO_Partial_Space_Left" => SYM_ISO_Partial_Space_Left,
    "ISO_Partial_Space_Right" => SYM_ISO_Partial_Space_Right,
    "ISO_Set_Margin_Left" => SYM_ISO_Set_Margin_Left,
    "ISO_Set_Margin_Right" => SYM_ISO_Set_Margin_Right,
    "ISO_Release_Margin_Left" => SYM_ISO_Release_Margin_Left,
    "ISO_Release_Margin_Right" => SYM_ISO_Release_Margin_Right,
    "ISO_Release_Both_Margins" => SYM_ISO_Release_Both_Margins,
    "ISO_Fast_Cursor_Left" => SYM_ISO_Fast_Cursor_Left,
    "ISO_Fast_Cursor_Right" => SYM_ISO_Fast_Cursor_Right,
    "ISO_Fast_Cursor_Up" => SYM_ISO_Fast_Cursor_Up,
    "ISO_Fast_Cursor_Down" => SYM_ISO_Fast_Cursor_Down,
    "ISO_Continuous_Underline" => SYM_ISO_Continuous_Underline,
    "ISO_Discontinuous_Underline" => SYM_ISO_Discontinuous_Underline,
    "ISO_Emphasize" => SYM_ISO_Emphasize,
    "ISO_Center_Object" => SYM_ISO_Center_Object,
    "ISO_Enter" => SYM_ISO_Enter,
    "dead_grave" => SYM_dead_grave,
    "dead_acute" => SYM_dead_acute,
    "dead_circumflex" => SYM_dead_circumflex,
    "dead_tilde" => SYM_dead_tilde,
    "dead_perispomeni" => SYM_dead_perispomeni,
    "dead_macron" => SYM_dead_macron,
    "dead_breve" => SYM_dead_breve,
    "dead_abovedot" => SYM_dead_abovedot,
    "dead_diaeresis" => SYM_dead_diaeresis,
    "dead_abovering" => SYM_dead_abovering,
    "dead_doubleacute" => SYM_dead_doubleacute,
    "dead_caron" => SYM_dead_caron,
    "dead_cedilla" => SYM_dead_cedilla,
    "dead_ogonek" => SYM_dead_ogonek,
    "dead_iota" => SYM_dead_iota,
    "dead_voiced_sound" => SYM_dead_voiced_sound,
    "dead_semivoiced_sound" => SYM_dead_semivoiced_sound,
    "dead_belowdot" => SYM_dead_belowdot,
    "dead_hook" => SYM_dead_hook,
    "dead_horn" => SYM_dead_horn,
    "dead_stroke" => SYM_dead_stroke,
    "dead_abovecomma" => SYM_dead_abovecomma,
    "dead_psili" => SYM_dead_psili,
    "dead_abovereversedcomma" => SYM_dead_abovereversedcomma,
    "dead_dasia" => SYM_dead_dasia,
    "dead_doublegrave" => SYM_dead_doublegrave,
    "dead_belowring" => SYM_dead_belowring,
    "dead_belowmacron" => SYM_dead_belowmacron,
    "dead_belowcircumflex" => SYM_dead_belowcircumflex,
    "dead_belowtilde" => SYM_dead_belowtilde,
    "dead_belowbreve" => SYM_dead_belowbreve,
    "dead_belowdiaeresis" => SYM_dead_belowdiaeresis,
    "dead_invertedbreve" => SYM_dead_invertedbreve,
    "dead_belowcomma" => SYM_dead_belowcomma,
    "dead_currency" => SYM_dead_currency,
    "dead_lowline" => SYM_dead_lowline,
    "dead_aboveverticalline" => SYM_dead_aboveverticalline,
    "dead_belowverticalline" => SYM_dead_belowverticalline,
    "dead_longsolidusoverlay" => SYM_dead_longsolidusoverlay,
    "dead_a" => SYM_dead_a,
    "dead_A" => SYM_dead_A,
    "dead_e" => SYM_dead_e,
    "dead_E" => SYM_dead_E,
    "dead_i" => SYM_dead_i,
    "dead_I" => SYM_dead_I,
    "dead_o" => SYM_dead_o,
    "dead_O" => SYM_dead_O,
    "dead_u" => SYM_dead_u,
    "dead_U" => SYM_dead_U,
    "dead_small_schwa" => SYM_dead_small_schwa,
    "dead_schwa" => SYM_dead_schwa,
    "dead_capital_schwa" => SYM_dead_capital_schwa,
    "dead_SCHWA" => SYM_dead_SCHWA,
    "dead_greek" => SYM_dead_greek,
    "dead_hamza" => SYM_dead_hamza,
    "First_Virtual_Screen" => SYM_First_Virtual_Screen,
    "Prev_Virtual_Screen" => SYM_Prev_Virtual_Screen,
    "Next_Virtual_Screen" => SYM_Next_Virtual_Screen,
    "Last_Virtual_Screen" => SYM_Last_Virtual_Screen,
    "Terminate_Server" => SYM_Terminate_Server,
    "AccessX_Enable" => SYM_AccessX_Enable,
    "AccessX_Feedback_Enable" => SYM_AccessX_Feedback_Enable,
    "RepeatKeys_Enable" => SYM_RepeatKeys_Enable,
    "SlowKeys_Enable" => SYM_SlowKeys_Enable,
    "BounceKeys_Enable" => SYM_BounceKeys_Enable,
    "StickyKeys_Enable" => SYM_StickyKeys_Enable,
    "MouseKeys_Enable" => SYM_MouseKeys_Enable,
    "MouseKeys_Accel_Enable" => SYM_MouseKeys_Accel_Enable,
    "Overlay1_Enable" => SYM_Overlay1_Enable,
    "Overlay2_Enable" => SYM_Overlay2_Enable,
    "AudibleBell_Enable" => SYM_AudibleBell_Enable,
    "Pointer_Left" => SYM_Pointer_Left,
    "Pointer_Right" => SYM_Pointer_Right,
    "Pointer_Up" => SYM_Pointer_Up,
    "Pointer_Down" => SYM_Pointer_Down,
    "Pointer_UpLeft" => SYM_Pointer_UpLeft,
    "Pointer_UpRight" => SYM_Pointer_UpRight,
    "Pointer_DownLeft" => SYM_Pointer_DownLeft,
    "Pointer_DownRight" => SYM_Pointer_DownRight,
    "Pointer_Button_Dflt" => SYM_Pointer_Button_Dflt,
    "Pointer_Button1" => SYM_Pointer_Button1,
    "Pointer_Button2" => SYM_Pointer_Button2,
    "Pointer_Button3" => SYM_Pointer_Button3,
    "Pointer_Button4" => SYM_Pointer_Button4,
    "Pointer_Button5" => SYM_Pointer_Button5,
    "Pointer_DblClick_Dflt" => SYM_Pointer_DblClick_Dflt,
    "Pointer_DblClick1" => SYM_Pointer_DblClick1,
    "Pointer_DblClick2" => SYM_Pointer_DblClick2,
    "Pointer_DblClick3" => SYM_Pointer_DblClick3,
    "Pointer_DblClick4" => SYM_Pointer_DblClick4,
    "Pointer_DblClick5" => SYM_Pointer_DblClick5,
    "Pointer_Drag_Dflt" => SYM_Pointer_Drag_Dflt,
    "Pointer_Drag1" => SYM_Pointer_Drag1,
    "Pointer_Drag2" => SYM_Pointer_Drag2,
    "Pointer_Drag3" => SYM_Pointer_Drag3,
    "Pointer_Drag4" => SYM_Pointer_Drag4,
    "Pointer_Drag5" => SYM_Pointer_Drag5,
    "Pointer_EnableKeys" => SYM_Pointer_EnableKeys,
    "Pointer_Accelerate" => SYM_Pointer_Accelerate,
    "Pointer_DfltBtnNext" => SYM_Pointer_DfltBtnNext,
    "Pointer_DfltBtnPrev" => SYM_Pointer_DfltBtnPrev,
    "ch" => SYM_ch,
    "Ch" => SYM_Ch,
    "CH" => SYM_CH,
    "c_h" => SYM_c_h,
    "C_h" => SYM_C_h,
    "C_H" => SYM_C_H,
    "3270_Duplicate" => SYM_3270_Duplicate,
    "3270_FieldMark" => SYM_3270_FieldMark,
    "3270_Right2" => SYM_3270_Right2,
    "3270_Left2" => SYM_3270_Left2,
    "3270_BackTab" => SYM_3270_BackTab,
    "3270_EraseEOF" => SYM_3270_EraseEOF,
    "3270_EraseInput" => SYM_3270_EraseInput,
    "3270_Reset" => SYM_3270_Reset,
    "3270_Quit" => SYM_3270_Quit,
    "3270_PA1" => SYM_3270_PA1,
    "3270_PA2" => SYM_3270_PA2,
    "3270_PA3" => SYM_3270_PA3,
    "3270_Test" => SYM_3270_Test,
    "3270_Attn" => SYM_3270_Attn,
    "3270_CursorBlink" => SYM_3270_CursorBlink,
    "3270_AltCursor" => SYM_3270_AltCursor,
    "3270_KeyClick" => SYM_3270_KeyClick,
    "3270_Jump" => SYM_3270_Jump,
    "3270_Ident" => SYM_3270_Ident,
    "3270_Rule" => SYM_3270_Rule,
    "3270_Copy" => SYM_3270_Copy,
    "3270_Play" => SYM_3270_Play,
    "3270_Setup" => SYM_3270_Setup,
    "3270_Record" => SYM_3270_Record,
    "3270_ChangeScreen" => SYM_3270_ChangeScreen,
    "3270_DeleteWord" => SYM_3270_DeleteWord,
    "3270_ExSelect" => SYM_3270_ExSelect,
    "3270_CursorSelect" => SYM_3270_CursorSelect,
    "3270_PrintScreen" => SYM_3270_PrintScreen,
    "3270_Enter" => SYM_3270_Enter,
    "space" => SYM_space,
    "exclam" => SYM_exclam,
    "quotedbl" => SYM_quotedbl,
    "numbersign" => SYM_numbersign,
    "dollar" => SYM_dollar,
    "percent" => SYM_percent,
    "ampersand" => SYM_ampersand,
    "apostrophe" => SYM_apostrophe,
    "quoteright" => SYM_quoteright,
    "parenleft" => SYM_parenleft,
    "parenright" => SYM_parenright,
    "asterisk" => SYM_asterisk,
    "plus" => SYM_plus,
    "comma" => SYM_comma,
    "minus" => SYM_minus,
    "period" => SYM_period,
    "slash" => SYM_slash,
    "0" => SYM_0,
    "1" => SYM_1,
    "2" => SYM_2,
    "3" => SYM_3,
    "4" => SYM_4,
    "5" => SYM_5,
    "6" => SYM_6,
    "7" => SYM_7,
    "8" => SYM_8,
    "9" => SYM_9,
    "colon" => SYM_colon,
    "semicolon" => SYM_semicolon,
    "less" => SYM_less,
    "equal" => SYM_equal,
    "greater" => SYM_greater,
    "question" => SYM_question,
    "at" => SYM_at,
    "A" => SYM_A,
    "B" => SYM_B,
    "C" => SYM_C,
    "D" => SYM_D,
    "E" => SYM_E,
    "F" => SYM_F,
    "G" => SYM_G,
    "H" => SYM_H,
    "I" => SYM_I,
    "J" => SYM_J,
    "K" => SYM_K,
    "L" => SYM_L,
    "M" => SYM_M,
    "N" => SYM_N,
    "O" => SYM_O,
    "P" => SYM_P,
    "Q" => SYM_Q,
    "R" => SYM_R,
    "S" => SYM_S,
    "T" => SYM_T,
    "U" => SYM_U,
    "V" => SYM_V,
    "W" => SYM_W,
    "X" => SYM_X,
    "Y" => SYM_Y,
    "Z" => SYM_Z,
    "bracketleft" => SYM_bracketleft,
    "backslash" => SYM_backslash,
    "bracketright" => SYM_bracketright,
    "asciicircum" => SYM_asciicircum,
    "underscore" => SYM_underscore,
    "grave" => SYM_grave,
    "quoteleft" => SYM_quoteleft,
    "a" => SYM_a,
    "b" => SYM_b,
    "c" => SYM_c,
    "d" => SYM_d,
    "e" => SYM_e,
    "f" => SYM_f,
    "g" => SYM_g,
    "h" => SYM_h,
    "i" => SYM_i,
    "j" => SYM_j,
    "k" => SYM_k,
    "l" => SYM_l,
    "m" => SYM_m,
    "n" => SYM_n,
    "o" => SYM_o,
    "p" => SYM_p,
    "q" => SYM_q,
    "r" => SYM_r,
    "s" => SYM_s,
    "t" => SYM_t,
    "u" => SYM_u,
    "v" => SYM_v,
    "w" => SYM_w,
    "x" => SYM_x,
    "y" => SYM_y,
    "z" => SYM_z,
    "braceleft" => SYM_braceleft,
    "bar" => SYM_bar,
    "braceright" => SYM_braceright,
    "asciitilde" => SYM_asciitilde,
    "nobreakspace" => SYM_nobreakspace,
    "exclamdown" => SYM_exclamdown,
    "cent" => SYM_cent,
    "sterling" => SYM_sterling,
    "currency" => SYM_currency,
    "yen" => SYM_yen,
    "brokenbar" => SYM_brokenbar,
    "section" => SYM_section,
    "diaeresis" => SYM_diaeresis,
    "copyright" => SYM_copyright,
    "ordfeminine" => SYM_ordfeminine,
    "guillemotleft" => SYM_guillemotleft,
    "guillemetleft" => SYM_guillemetleft,
    "notsign" => SYM_notsign,
    "hyphen" => SYM_hyphen,
    "registered" => SYM_registered,
    "macron" => SYM_macron,
    "degree" => SYM_degree,
    "plusminus" => SYM_plusminus,
    "twosuperior" => SYM_twosuperior,
    "threesuperior" => SYM_threesuperior,
    "acute" => SYM_acute,
    "mu" => SYM_mu,
    "paragraph" => SYM_paragraph,
    "periodcentered" => SYM_periodcentered,
    "cedilla" => SYM_cedilla,
    "onesuperior" => SYM_onesuperior,
    "masculine" => SYM_masculine,
    "ordmasculine" => SYM_ordmasculine,
    "guillemotright" => SYM_guillemotright,
    "guillemetright" => SYM_guillemetright,
    "onequarter" => SYM_onequarter,
    "onehalf" => SYM_onehalf,
    "threequarters" => SYM_threequarters,
    "questiondown" => SYM_questiondown,
    "Agrave" => SYM_Agrave,
    "Aacute" => SYM_Aacute,
    "Acircumflex" => SYM_Acircumflex,
    "Atilde" => SYM_Atilde,
    "Adiaeresis" => SYM_Adiaeresis,
    "Aring" => SYM_Aring,
    "AE" => SYM_AE,
    "Ccedilla" => SYM_Ccedilla,
    "Egrave" => SYM_Egrave,
    "Eacute" => SYM_Eacute,
    "Ecircumflex" => SYM_Ecircumflex,
    "Ediaeresis" => SYM_Ediaeresis,
    "Igrave" => SYM_Igrave,
    "Iacute" => SYM_Iacute,
    "Icircumflex" => SYM_Icircumflex,
    "Idiaeresis" => SYM_Idiaeresis,
    "ETH" => SYM_ETH,
    "Eth" => SYM_Eth,
    "Ntilde" => SYM_Ntilde,
    "Ograve" => SYM_Ograve,
    "Oacute" => SYM_Oacute,
    "Ocircumflex" => SYM_Ocircumflex,
    "Otilde" => SYM_Otilde,
    "Odiaeresis" => SYM_Odiaeresis,
    "multiply" => SYM_multiply,
    "Oslash" => SYM_Oslash,
    "Ooblique" => SYM_Ooblique,
    "Ugrave" => SYM_Ugrave,
    "Uacute" => SYM_Uacute,
    "Ucircumflex" => SYM_Ucircumflex,
    "Udiaeresis" => SYM_Udiaeresis,
    "Yacute" => SYM_Yacute,
    "THORN" => SYM_THORN,
    "Thorn" => SYM_Thorn,
    "ssharp" => SYM_ssharp,
    "agrave" => SYM_agrave,
    "aacute" => SYM_aacute,
    "acircumflex" => SYM_acircumflex,
    "atilde" => SYM_atilde,
    "adiaeresis" => SYM_adiaeresis,
    "aring" => SYM_aring,
    "ae" => SYM_ae,
    "ccedilla" => SYM_ccedilla,
    "egrave" => SYM_egrave,
    "eacute" => SYM_eacute,
    "ecircumflex" => SYM_ecircumflex,
    "ediaeresis" => SYM_ediaeresis,
    "igrave" => SYM_igrave,
    "iacute" => SYM_iacute,
    "icircumflex" => SYM_icircumflex,
    "idiaeresis" => SYM_idiaeresis,
    "eth" => SYM_eth,
    "ntilde" => SYM_ntilde,
    "ograve" => SYM_ograve,
    "oacute" => SYM_oacute,
    "ocircumflex" => SYM_ocircumflex,
    "otilde" => SYM_otilde,
    "odiaeresis" => SYM_odiaeresis,
    "division" => SYM_division,
    "oslash" => SYM_oslash,
    "ooblique" => SYM_ooblique,
    "ugrave" => SYM_ugrave,
    "uacute" => SYM_uacute,
    "ucircumflex" => SYM_ucircumflex,
    "udiaeresis" => SYM_udiaeresis,
    "yacute" => SYM_yacute,
    "thorn" => SYM_thorn,
    "ydiaeresis" => SYM_ydiaeresis,
    "Aogonek" => SYM_Aogonek,
    "breve" => SYM_breve,
    "Lstroke" => SYM_Lstroke,
    "Lcaron" => SYM_Lcaron,
    "Sacute" => SYM_Sacute,
    "Scaron" => SYM_Scaron,
    "Scedilla" => SYM_Scedilla,
    "Tcaron" => SYM_Tcaron,
    "Zacute" => SYM_Zacute,
    "Zcaron" => SYM_Zcaron,
    "Zabovedot" => SYM_Zabovedot,
    "aogonek" => SYM_aogonek,
    "ogonek" => SYM_ogonek,
    "lstroke" => SYM_lstroke,
    "lcaron" => SYM_lcaron,
    "sacute" => SYM_sacute,
    "caron" => SYM_caron,
    "scaron" => SYM_scaron,
    "scedilla" => SYM_scedilla,
    "tcaron" => SYM_tcaron,
    "zacute" => SYM_zacute,
    "doubleacute" => SYM_doubleacute,
    "zcaron" => SYM_zcaron,
    "zabovedot" => SYM_zabovedot,
    "Racute" => SYM_Racute,
    "Abreve" => SYM_Abreve,
    "Lacute" => SYM_Lacute,
    "Cacute" => SYM_Cacute,
    "Ccaron" => SYM_Ccaron,
    "Eogonek" => SYM_Eogonek,
    "Ecaron" => SYM_Ecaron,
    "Dcaron" => SYM_Dcaron,
    "Dstroke" => SYM_Dstroke,
    "Nacute" => SYM_Nacute,
    "Ncaron" => SYM_Ncaron,
    "Odoubleacute" => SYM_Odoubleacute,
    "Rcaron" => SYM_Rcaron,
    "Uring" => SYM_Uring,
    "Udoubleacute" => SYM_Udoubleacute,
    "Tcedilla" => SYM_Tcedilla,
    "racute" => SYM_racute,
    "abreve" => SYM_abreve,
    "lacute" => SYM_lacute,
    "cacute" => SYM_cacute,
    "ccaron" => SYM_ccaron,
    "eogonek" => SYM_eogonek,
    "ecaron" => SYM_ecaron,
    "dcaron" => SYM_dcaron,
    "dstroke" => SYM_dstroke,
    "nacute" => SYM_nacute,
    "ncaron" => SYM_ncaron,
    "odoubleacute" => SYM_odoubleacute,
    "rcaron" => SYM_rcaron,
    "uring" => SYM_uring,
    "udoubleacute" => SYM_udoubleacute,
    "tcedilla" => SYM_tcedilla,
    "abovedot" => SYM_abovedot,
    "Hstroke" => SYM_Hstroke,
    "Hcircumflex" => SYM_Hcircumflex,
    "Iabovedot" => SYM_Iabovedot,
    "Gbreve" => SYM_Gbreve,
    "Jcircumflex" => SYM_Jcircumflex,
    "hstroke" => SYM_hstroke,
    "hcircumflex" => SYM_hcircumflex,
    "idotless" => SYM_idotless,
    "gbreve" => SYM_gbreve,
    "jcircumflex" => SYM_jcircumflex,
    "Cabovedot" => SYM_Cabovedot,
    "Ccircumflex" => SYM_Ccircumflex,
    "Gabovedot" => SYM_Gabovedot,
    "Gcircumflex" => SYM_Gcircumflex,
    "Ubreve" => SYM_Ubreve,
    "Scircumflex" => SYM_Scircumflex,
    "cabovedot" => SYM_cabovedot,
    "ccircumflex" => SYM_ccircumflex,
    "gabovedot" => SYM_gabovedot,
    "gcircumflex" => SYM_gcircumflex,
    "ubreve" => SYM_ubreve,
    "scircumflex" => SYM_scircumflex,
    "kra" => SYM_kra,
    "kappa" => SYM_kappa,
    "Rcedilla" => SYM_Rcedilla,
    "Itilde" => SYM_Itilde,
    "Lcedilla" => SYM_Lcedilla,
    "Emacron" => SYM_Emacron,
    "Gcedilla" => SYM_Gcedilla,
    "Tslash" => SYM_Tslash,
    "rcedilla" => SYM_rcedilla,
    "itilde" => SYM_itilde,
    "lcedilla" => SYM_lcedilla,
    "emacron" => SYM_emacron,
    "gcedilla" => SYM_gcedilla,
    "tslash" => SYM_tslash,
    "ENG" => SYM_ENG,
    "eng" => SYM_eng,
    "Amacron" => SYM_Amacron,
    "Iogonek" => SYM_Iogonek,
    "Eabovedot" => SYM_Eabovedot,
    "Imacron" => SYM_Imacron,
    "Ncedilla" => SYM_Ncedilla,
    "Omacron" => SYM_Omacron,
    "Kcedilla" => SYM_Kcedilla,
    "Uogonek" => SYM_Uogonek,
    "Utilde" => SYM_Utilde,
    "Umacron" => SYM_Umacron,
    "amacron" => SYM_amacron,
    "iogonek" => SYM_iogonek,
    "eabovedot" => SYM_eabovedot,
    "imacron" => SYM_imacron,
    "ncedilla" => SYM_ncedilla,
    "omacron" => SYM_omacron,
    "kcedilla" => SYM_kcedilla,
    "uogonek" => SYM_uogonek,
    "utilde" => SYM_utilde,
    "umacron" => SYM_umacron,
    "Wcircumflex" => SYM_Wcircumflex,
    "wcircumflex" => SYM_wcircumflex,
    "Ycircumflex" => SYM_Ycircumflex,
    "ycircumflex" => SYM_ycircumflex,
    "Babovedot" => SYM_Babovedot,
    "babovedot" => SYM_babovedot,
    "Dabovedot" => SYM_Dabovedot,
    "dabovedot" => SYM_dabovedot,
    "Fabovedot" => SYM_Fabovedot,
    "fabovedot" => SYM_fabovedot,
    "Mabovedot" => SYM_Mabovedot,
    "mabovedot" => SYM_mabovedot,
    "Pabovedot" => SYM_Pabovedot,
    "pabovedot" => SYM_pabovedot,
    "Sabovedot" => SYM_Sabovedot,
    "sabovedot" => SYM_sabovedot,
    "Tabovedot" => SYM_Tabovedot,
    "tabovedot" => SYM_tabovedot,
    "Wgrave" => SYM_Wgrave,
    "wgrave" => SYM_wgrave,
    "Wacute" => SYM_Wacute,
    "wacute" => SYM_wacute,
    "Wdiaeresis" => SYM_Wdiaeresis,
    "wdiaeresis" => SYM_wdiaeresis,
    "Ygrave" => SYM_Ygrave,
    "ygrave" => SYM_ygrave,
    "OE" => SYM_OE,
    "oe" => SYM_oe,
    "Ydiaeresis" => SYM_Ydiaeresis,
    "overline" => SYM_overline,
    "kana_fullstop" => SYM_kana_fullstop,
    "kana_openingbracket" => SYM_kana_openingbracket,
    "kana_closingbracket" => SYM_kana_closingbracket,
    "kana_comma" => SYM_kana_comma,
    "kana_conjunctive" => SYM_kana_conjunctive,
    "kana_middledot" => SYM_kana_middledot,
    "kana_WO" => SYM_kana_WO,
    "kana_a" => SYM_kana_a,
    "kana_i" => SYM_kana_i,
    "kana_u" => SYM_kana_u,
    "kana_e" => SYM_kana_e,
    "kana_o" => SYM_kana_o,
    "kana_ya" => SYM_kana_ya,
    "kana_yu" => SYM_kana_yu,
    "kana_yo" => SYM_kana_yo,
    "kana_tsu" => SYM_kana_tsu,
    "kana_tu" => SYM_kana_tu,
    "prolongedsound" => SYM_prolongedsound,
    "kana_A" => SYM_kana_A,
    "kana_I" => SYM_kana_I,
    "kana_U" => SYM_kana_U,
    "kana_E" => SYM_kana_E,
    "kana_O" => SYM_kana_O,
    "kana_KA" => SYM_kana_KA,
    "kana_KI" => SYM_kana_KI,
    "kana_KU" => SYM_kana_KU,
    "kana_KE" => SYM_kana_KE,
    "kana_KO" => SYM_kana_KO,
    "kana_SA" => SYM_kana_SA,
    "kana_SHI" => SYM_kana_SHI,
    "kana_SU" => SYM_kana_SU,
    "kana_SE" => SYM_kana_SE,
    "kana_SO" => SYM_kana_SO,
    "kana_TA" => SYM_kana_TA,
    "kana_CHI" => SYM_kana_CHI,
    "kana_TI" => SYM_kana_TI,
    "kana_TSU" => SYM_kana_TSU,
    "kana_TU" => SYM_kana_TU,
    "kana_TE" => SYM_kana_TE,
    "kana_TO" => SYM_kana_TO,
    "kana_NA" => SYM_kana_NA,
    "kana_NI" => SYM_kana_NI,
    "kana_NU" => SYM_kana_NU,
    "kana_NE" => SYM_kana_NE,
    "kana_NO" => SYM_kana_NO,
    "kana_HA" => SYM_kana_HA,
    "kana_HI" => SYM_kana_HI,
    "kana_FU" => SYM_kana_FU,
    "kana_HU" => SYM_kana_HU,
    "kana_HE" => SYM_kana_HE,
    "kana_HO" => SYM_kana_HO,
    "kana_MA" => SYM_kana_MA,
    "kana_MI" => SYM_kana_MI,
    "kana_MU" => SYM_kana_MU,
    "kana_ME" => SYM_kana_ME,
    "kana_MO" => SYM_kana_MO,
    "kana_YA" => SYM_kana_YA,
    "kana_YU" => SYM_kana_YU,
    "kana_YO" => SYM_kana_YO,
    "kana_RA" => SYM_kana_RA,
    "kana_RI" => SYM_kana_RI,
    "kana_RU" => SYM_kana_RU,
    "kana_RE" => SYM_kana_RE,
    "kana_RO" => SYM_kana_RO,
    "kana_WA" => SYM_kana_WA,
    "kana_N" => SYM_kana_N,
    "voicedsound" => SYM_voicedsound,
    "semivoicedsound" => SYM_semivoicedsound,
    "kana_switch" => SYM_kana_switch,
    "Farsi_0" => SYM_Farsi_0,
    "Farsi_1" => SYM_Farsi_1,
    "Farsi_2" => SYM_Farsi_2,
    "Farsi_3" => SYM_Farsi_3,
    "Farsi_4" => SYM_Farsi_4,
    "Farsi_5" => SYM_Farsi_5,
    "Farsi_6" => SYM_Farsi_6,
    "Farsi_7" => SYM_Farsi_7,
    "Farsi_8" => SYM_Farsi_8,
    "Farsi_9" => SYM_Farsi_9,
    "Arabic_percent" => SYM_Arabic_percent,
    "Arabic_superscript_alef" => SYM_Arabic_superscript_alef,
    "Arabic_tteh" => SYM_Arabic_tteh,
    "Arabic_peh" => SYM_Arabic_peh,
    "Arabic_tcheh" => SYM_Arabic_tcheh,
    "Arabic_ddal" => SYM_Arabic_ddal,
    "Arabic_rreh" => SYM_Arabic_rreh,
    "Arabic_comma" => SYM_Arabic_comma,
    "Arabic_fullstop" => SYM_Arabic_fullstop,
    "Arabic_0" => SYM_Arabic_0,
    "Arabic_1" => SYM_Arabic_1,
    "Arabic_2" => SYM_Arabic_2,
    "Arabic_3" => SYM_Arabic_3,
    "Arabic_4" => SYM_Arabic_4,
    "Arabic_5" => SYM_Arabic_5,
    "Arabic_6" => SYM_Arabic_6,
    "Arabic_7" => SYM_Arabic_7,
    "Arabic_8" => SYM_Arabic_8,
    "Arabic_9" => SYM_Arabic_9,
    "Arabic_semicolon" => SYM_Arabic_semicolon,
    "Arabic_question_mark" => SYM_Arabic_question_mark,
    "Arabic_hamza" => SYM_Arabic_hamza,
    "Arabic_maddaonalef" => SYM_Arabic_maddaonalef,
    "Arabic_hamzaonalef" => SYM_Arabic_hamzaonalef,
    "Arabic_hamzaonwaw" => SYM_Arabic_hamzaonwaw,
    "Arabic_hamzaunderalef" => SYM_Arabic_hamzaunderalef,
    "Arabic_hamzaonyeh" => SYM_Arabic_hamzaonyeh,
    "Arabic_alef" => SYM_Arabic_alef,
    "Arabic_beh" => SYM_Arabic_beh,
    "Arabic_tehmarbuta" => SYM_Arabic_tehmarbuta,
    "Arabic_teh" => SYM_Arabic_teh,
    "Arabic_theh" => SYM_Arabic_theh,
    "Arabic_jeem" => SYM_Arabic_jeem,
    "Arabic_hah" => SYM_Arabic_hah,
    "Arabic_khah" => SYM_Arabic_khah,
    "Arabic_dal" => SYM_Arabic_dal,
    "Arabic_thal" => SYM_Arabic_thal,
    "Arabic_ra" => SYM_Arabic_ra,
    "Arabic_zain" => SYM_Arabic_zain,
    "Arabic_seen" => SYM_Arabic_seen,
    "Arabic_sheen" => SYM_Arabic_sheen,
    "Arabic_sad" => SYM_Arabic_sad,
    "Arabic_dad" => SYM_Arabic_dad,
    "Arabic_tah" => SYM_Arabic_tah,
    "Arabic_zah" => SYM_Arabic_zah,
    "Arabic_ain" => SYM_Arabic_ain,
    "Arabic_ghain" => SYM_Arabic_ghain,
    "Arabic_tatweel" => SYM_Arabic_tatweel,
    "Arabic_feh" => SYM_Arabic_feh,
    "Arabic_qaf" => SYM_Arabic_qaf,
    "Arabic_kaf" => SYM_Arabic_kaf,
    "Arabic_lam" => SYM_Arabic_lam,
    "Arabic_meem" => SYM_Arabic_meem,
    "Arabic_noon" => SYM_Arabic_noon,
    "Arabic_ha" => SYM_Arabic_ha,
    "Arabic_heh" => SYM_Arabic_heh,
    "Arabic_waw" => SYM_Arabic_waw,
    "Arabic_alefmaksura" => SYM_Arabic_alefmaksura,
    "Arabic_yeh" => SYM_Arabic_yeh,
    "Arabic_fathatan" => SYM_Arabic_fathatan,
    "Arabic_dammatan" => SYM_Arabic_dammatan,
    "Arabic_kasratan" => SYM_Arabic_kasratan,
    "Arabic_fatha" => SYM_Arabic_fatha,
    "Arabic_damma" => SYM_Arabic_damma,
    "Arabic_kasra" => SYM_Arabic_kasra,
    "Arabic_shadda" => SYM_Arabic_shadda,
    "Arabic_sukun" => SYM_Arabic_sukun,
    "Arabic_madda_above" => SYM_Arabic_madda_above,
    "Arabic_hamza_above" => SYM_Arabic_hamza_above,
    "Arabic_hamza_below" => SYM_Arabic_hamza_below,
    "Arabic_jeh" => SYM_Arabic_jeh,
    "Arabic_veh" => SYM_Arabic_veh,
    "Arabic_keheh" => SYM_Arabic_keheh,
    "Arabic_gaf" => SYM_Arabic_gaf,
    "Arabic_noon_ghunna" => SYM_Arabic_noon_ghunna,
    "Arabic_heh_doachashmee" => SYM_Arabic_heh_doachashmee,
    "Farsi_yeh" => SYM_Farsi_yeh,
    "Arabic_farsi_yeh" => SYM_Arabic_farsi_yeh,
    "Arabic_yeh_baree" => SYM_Arabic_yeh_baree,
    "Arabic_heh_goal" => SYM_Arabic_heh_goal,
    "Arabic_switch" => SYM_Arabic_switch,
    "Cyrillic_GHE_bar" => SYM_Cyrillic_GHE_bar,
    "Cyrillic_ghe_bar" => SYM_Cyrillic_ghe_bar,
    "Cyrillic_ZHE_descender" => SYM_Cyrillic_ZHE_descender,
    "Cyrillic_zhe_descender" => SYM_Cyrillic_zhe_descender,
    "Cyrillic_KA_descender" => SYM_Cyrillic_KA_descender,
    "Cyrillic_ka_descender" => SYM_Cyrillic_ka_descender,
    "Cyrillic_KA_vertstroke" => SYM_Cyrillic_KA_vertstroke,
    "Cyrillic_ka_vertstroke" => SYM_Cyrillic_ka_vertstroke,
    "Cyrillic_EN_descender" => SYM_Cyrillic_EN_descender,
    "Cyrillic_en_descender" => SYM_Cyrillic_en_descender,
    "Cyrillic_U_straight" => SYM_Cyrillic_U_straight,
    "Cyrillic_u_straight" => SYM_Cyrillic_u_straight,
    "Cyrillic_U_straight_bar" => SYM_Cyrillic_U_straight_bar,
    "Cyrillic_u_straight_bar" => SYM_Cyrillic_u_straight_bar,
    "Cyrillic_HA_descender" => SYM_Cyrillic_HA_descender,
    "Cyrillic_ha_descender" => SYM_Cyrillic_ha_descender,
    "Cyrillic_CHE_descender" => SYM_Cyrillic_CHE_descender,
    "Cyrillic_che_descender" => SYM_Cyrillic_che_descender,
    "Cyrillic_CHE_vertstroke" => SYM_Cyrillic_CHE_vertstroke,
    "Cyrillic_che_vertstroke" => SYM_Cyrillic_che_vertstroke,
    "Cyrillic_SHHA" => SYM_Cyrillic_SHHA,
    "Cyrillic_shha" => SYM_Cyrillic_shha,
    "Cyrillic_SCHWA" => SYM_Cyrillic_SCHWA,
    "Cyrillic_schwa" => SYM_Cyrillic_schwa,
    "Cyrillic_I_macron" => SYM_Cyrillic_I_macron,
    "Cyrillic_i_macron" => SYM_Cyrillic_i_macron,
    "Cyrillic_O_bar" => SYM_Cyrillic_O_bar,
    "Cyrillic_o_bar" => SYM_Cyrillic_o_bar,
    "Cyrillic_U_macron" => SYM_Cyrillic_U_macron,
    "Cyrillic_u_macron" => SYM_Cyrillic_u_macron,
    "Serbian_dje" => SYM_Serbian_dje,
    "Macedonia_gje" => SYM_Macedonia_gje,
    "Cyrillic_io" => SYM_Cyrillic_io,
    "Ukrainian_ie" => SYM_Ukrainian_ie,
    "Ukranian_je" => SYM_Ukranian_je,
    "Macedonia_dse" => SYM_Macedonia_dse,
    "Ukrainian_i" => SYM_Ukrainian_i,
    "Ukranian_i" => SYM_Ukranian_i,
    "Ukrainian_yi" => SYM_Ukrainian_yi,
    "Ukranian_yi" => SYM_Ukranian_yi,
    "Cyrillic_je" => SYM_Cyrillic_je,
    "Serbian_je" => SYM_Serbian_je,
    "Cyrillic_lje" => SYM_Cyrillic_lje,
    "Serbian_lje" => SYM_Serbian_lje,
    "Cyrillic_nje" => SYM_Cyrillic_nje,
    "Serbian_nje" => SYM_Serbian_nje,
    "Serbian_tshe" => SYM_Serbian_tshe,
    "Macedonia_kje" => SYM_Macedonia_kje,
    "Ukrainian_ghe_with_upturn" => SYM_Ukrainian_ghe_with_upturn,
    "Byelorussian_shortu" => SYM_Byelorussian_shortu,
    "Cyrillic_dzhe" => SYM_Cyrillic_dzhe,
    "Serbian_dze" => SYM_Serbian_dze,
    "numerosign" => SYM_numerosign,
    "Serbian_DJE" => SYM_Serbian_DJE,
    "Macedonia_GJE" => SYM_Macedonia_GJE,
    "Cyrillic_IO" => SYM_Cyrillic_IO,
    "Ukrainian_IE" => SYM_Ukrainian_IE,
    "Ukranian_JE" => SYM_Ukranian_JE,
    "Macedonia_DSE" => SYM_Macedonia_DSE,
    "Ukrainian_I" => SYM_Ukrainian_I,
    "Ukranian_I" => SYM_Ukranian_I,
    "Ukrainian_YI" => SYM_Ukrainian_YI,
    "Ukranian_YI" => SYM_Ukranian_YI,
    "Cyrillic_JE" => SYM_Cyrillic_JE,
    "Serbian_JE" => SYM_Serbian_JE,
    "Cyrillic_LJE" => SYM_Cyrillic_LJE,
    "Serbian_LJE" => SYM_Serbian_LJE,
    "Cyrillic_NJE" => SYM_Cyrillic_NJE,
    "Serbian_NJE" => SYM_Serbian_NJE,
    "Serbian_TSHE" => SYM_Serbian_TSHE,
    "Macedonia_KJE" => SYM_Macedonia_KJE,
    "Ukrainian_GHE_WITH_UPTURN" => SYM_Ukrainian_GHE_WITH_UPTURN,
    "Byelorussian_SHORTU" => SYM_Byelorussian_SHORTU,
    "Cyrillic_DZHE" => SYM_Cyrillic_DZHE,
    "Serbian_DZE" => SYM_Serbian_DZE,
    "Cyrillic_yu" => SYM_Cyrillic_yu,
    "Cyrillic_a" => SYM_Cyrillic_a,
    "Cyrillic_be" => SYM_Cyrillic_be,
    "Cyrillic_tse" => SYM_Cyrillic_tse,
    "Cyrillic_de" => SYM_Cyrillic_de,
    "Cyrillic_ie" => SYM_Cyrillic_ie,
    "Cyrillic_ef" => SYM_Cyrillic_ef,
    "Cyrillic_ghe" => SYM_Cyrillic_ghe,
    "Cyrillic_ha" => SYM_Cyrillic_ha,
    "Cyrillic_i" => SYM_Cyrillic_i,
    "Cyrillic_shorti" => SYM_Cyrillic_shorti,
    "Cyrillic_ka" => SYM_Cyrillic_ka,
    "Cyrillic_el" => SYM_Cyrillic_el,
    "Cyrillic_em" => SYM_Cyrillic_em,
    "Cyrillic_en" => SYM_Cyrillic_en,
    "Cyrillic_o" => SYM_Cyrillic_o,
    "Cyrillic_pe" => SYM_Cyrillic_pe,
    "Cyrillic_ya" => SYM_Cyrillic_ya,
    "Cyrillic_er" => SYM_Cyrillic_er,
    "Cyrillic_es" => SYM_Cyrillic_es,
    "Cyrillic_te" => SYM_Cyrillic_te,
    "Cyrillic_u" => SYM_Cyrillic_u,
    "Cyrillic_zhe" => SYM_Cyrillic_zhe,
    "Cyrillic_ve" => SYM_Cyrillic_ve,
    "Cyrillic_softsign" => SYM_Cyrillic_softsign,
    "Cyrillic_yeru" => SYM_Cyrillic_yeru,
    "Cyrillic_ze" => SYM_Cyrillic_ze,
    "Cyrillic_sha" => SYM_Cyrillic_sha,
    "Cyrillic_e" => SYM_Cyrillic_e,
    "Cyrillic_shcha" => SYM_Cyrillic_shcha,
    "Cyrillic_che" => SYM_Cyrillic_che,
    "Cyrillic_hardsign" => SYM_Cyrillic_hardsign,
    "Cyrillic_YU" => SYM_Cyrillic_YU,
    "Cyrillic_A" => SYM_Cyrillic_A,
    "Cyrillic_BE" => SYM_Cyrillic_BE,
    "Cyrillic_TSE" => SYM_Cyrillic_TSE,
    "Cyrillic_DE" => SYM_Cyrillic_DE,
    "Cyrillic_IE" => SYM_Cyrillic_IE,
    "Cyrillic_EF" => SYM_Cyrillic_EF,
    "Cyrillic_GHE" => SYM_Cyrillic_GHE,
    "Cyrillic_HA" => SYM_Cyrillic_HA,
    "Cyrillic_I" => SYM_Cyrillic_I,
    "Cyrillic_SHORTI" => SYM_Cyrillic_SHORTI,
    "Cyrillic_KA" => SYM_Cyrillic_KA,
    "Cyrillic_EL" => SYM_Cyrillic_EL,
    "Cyrillic_EM" => SYM_Cyrillic_EM,
    "Cyrillic_EN" => SYM_Cyrillic_EN,
    "Cyrillic_O" => SYM_Cyrillic_O,
    "Cyrillic_PE" => SYM_Cyrillic_PE,
    "Cyrillic_YA" => SYM_Cyrillic_YA,
    "Cyrillic_ER" => SYM_Cyrillic_ER,
    "Cyrillic_ES" => SYM_Cyrillic_ES,
    "Cyrillic_TE" => SYM_Cyrillic_TE,
    "Cyrillic_U" => SYM_Cyrillic_U,
    "Cyrillic_ZHE" => SYM_Cyrillic_ZHE,
    "Cyrillic_VE" => SYM_Cyrillic_VE,
    "Cyrillic_SOFTSIGN" => SYM_Cyrillic_SOFTSIGN,
    "Cyrillic_YERU" => SYM_Cyrillic_YERU,
    "Cyrillic_ZE" => SYM_Cyrillic_ZE,
    "Cyrillic_SHA" => SYM_Cyrillic_SHA,
    "Cyrillic_E" => SYM_Cyrillic_E,
    "Cyrillic_SHCHA" => SYM_Cyrillic_SHCHA,
    "Cyrillic_CHE" => SYM_Cyrillic_CHE,
    "Cyrillic_HARDSIGN" => SYM_Cyrillic_HARDSIGN,
    "Greek_ALPHAaccent" => SYM_Greek_ALPHAaccent,
    "Greek_EPSILONaccent" => SYM_Greek_EPSILONaccent,
    "Greek_ETAaccent" => SYM_Greek_ETAaccent,
    "Greek_IOTAaccent" => SYM_Greek_IOTAaccent,
    "Greek_IOTAdieresis" => SYM_Greek_IOTAdieresis,
    "Greek_IOTAdiaeresis" => SYM_Greek_IOTAdiaeresis,
    "Greek_OMICRONaccent" => SYM_Greek_OMICRONaccent,
    "Greek_UPSILONaccent" => SYM_Greek_UPSILONaccent,
    "Greek_UPSILONdieresis" => SYM_Greek_UPSILONdieresis,
    "Greek_OMEGAaccent" => SYM_Greek_OMEGAaccent,
    "Greek_accentdieresis" => SYM_Greek_accentdieresis,
    "Greek_horizbar" => SYM_Greek_horizbar,
    "Greek_alphaaccent" => SYM_Greek_alphaaccent,
    "Greek_epsilonaccent" => SYM_Greek_epsilonaccent,
    "Greek_etaaccent" => SYM_Greek_etaaccent,
    "Greek_iotaaccent" => SYM_Greek_iotaaccent,
    "Greek_iotadieresis" => SYM_Greek_iotadieresis,
    "Greek_iotaaccentdieresis" => SYM_Greek_iotaaccentdieresis,
    "Greek_omicronaccent" => SYM_Greek_omicronaccent,
    "Greek_upsilonaccent" => SYM_Greek_upsilonaccent,
    "Greek_upsilondieresis" => SYM_Greek_upsilondieresis,
    "Greek_upsilonaccentdieresis" => SYM_Greek_upsilonaccentdieresis,
    "Greek_omegaaccent" => SYM_Greek_omegaaccent,
    "Greek_ALPHA" => SYM_Greek_ALPHA,
    "Greek_BETA" => SYM_Greek_BETA,
    "Greek_GAMMA" => SYM_Greek_GAMMA,
    "Greek_DELTA" => SYM_Greek_DELTA,
    "Greek_EPSILON" => SYM_Greek_EPSILON,
    "Greek_ZETA" => SYM_Greek_ZETA,
    "Greek_ETA" => SYM_Greek_ETA,
    "Greek_THETA" => SYM_Greek_THETA,
    "Greek_IOTA" => SYM_Greek_IOTA,
    "Greek_KAPPA" => SYM_Greek_KAPPA,
    "Greek_LAMDA" => SYM_Greek_LAMDA,
    "Greek_LAMBDA" => SYM_Greek_LAMBDA,
    "Greek_MU" => SYM_Greek_MU,
    "Greek_NU" => SYM_Greek_NU,
    "Greek_XI" => SYM_Greek_XI,
    "Greek_OMICRON" => SYM_Greek_OMICRON,
    "Greek_PI" => SYM_Greek_PI,
    "Greek_RHO" => SYM_Greek_RHO,
    "Greek_SIGMA" => SYM_Greek_SIGMA,
    "Greek_TAU" => SYM_Greek_TAU,
    "Greek_UPSILON" => SYM_Greek_UPSILON,
    "Greek_PHI" => SYM_Greek_PHI,
    "Greek_CHI" => SYM_Greek_CHI,
    "Greek_PSI" => SYM_Greek_PSI,
    "Greek_OMEGA" => SYM_Greek_OMEGA,
    "Greek_alpha" => SYM_Greek_alpha,
    "Greek_beta" => SYM_Greek_beta,
    "Greek_gamma" => SYM_Greek_gamma,
    "Greek_delta" => SYM_Greek_delta,
    "Greek_epsilon" => SYM_Greek_epsilon,
    "Greek_zeta" => SYM_Greek_zeta,
    "Greek_eta" => SYM_Greek_eta,
    "Greek_theta" => SYM_Greek_theta,
    "Greek_iota" => SYM_Greek_iota,
    "Greek_kappa" => SYM_Greek_kappa,
    "Greek_lamda" => SYM_Greek_lamda,
    "Greek_lambda" => SYM_Greek_lambda,
    "Greek_mu" => SYM_Greek_mu,
    "Greek_nu" => SYM_Greek_nu,
    "Greek_xi" => SYM_Greek_xi,
    "Greek_omicron" => SYM_Greek_omicron,
    "Greek_pi" => SYM_Greek_pi,
    "Greek_rho" => SYM_Greek_rho,
    "Greek_sigma" => SYM_Greek_sigma,
    "Greek_finalsmallsigma" => SYM_Greek_finalsmallsigma,
    "Greek_tau" => SYM_Greek_tau,
    "Greek_upsilon" => SYM_Greek_upsilon,
    "Greek_phi" => SYM_Greek_phi,
    "Greek_chi" => SYM_Greek_chi,
    "Greek_psi" => SYM_Greek_psi,
    "Greek_omega" => SYM_Greek_omega,
    "Greek_switch" => SYM_Greek_switch,
    "leftradical" => SYM_leftradical,
    "topleftradical" => SYM_topleftradical,
    "horizconnector" => SYM_horizconnector,
    "topintegral" => SYM_topintegral,
    "botintegral" => SYM_botintegral,
    "vertconnector" => SYM_vertconnector,
    "topleftsqbracket" => SYM_topleftsqbracket,
    "botleftsqbracket" => SYM_botleftsqbracket,
    "toprightsqbracket" => SYM_toprightsqbracket,
    "botrightsqbracket" => SYM_botrightsqbracket,
    "topleftparens" => SYM_topleftparens,
    "botleftparens" => SYM_botleftparens,
    "toprightparens" => SYM_toprightparens,
    "botrightparens" => SYM_botrightparens,
    "leftmiddlecurlybrace" => SYM_leftmiddlecurlybrace,
    "rightmiddlecurlybrace" => SYM_rightmiddlecurlybrace,
    "topleftsummation" => SYM_topleftsummation,
    "botleftsummation" => SYM_botleftsummation,
    "topvertsummationconnector" => SYM_topvertsummationconnector,
    "botvertsummationconnector" => SYM_botvertsummationconnector,
    "toprightsummation" => SYM_toprightsummation,
    "botrightsummation" => SYM_botrightsummation,
    "rightmiddlesummation" => SYM_rightmiddlesummation,
    "lessthanequal" => SYM_lessthanequal,
    "notequal" => SYM_notequal,
    "greaterthanequal" => SYM_greaterthanequal,
    "integral" => SYM_integral,
    "therefore" => SYM_therefore,
    "variation" => SYM_variation,
    "infinity" => SYM_infinity,
    "nabla" => SYM_nabla,
    "approximate" => SYM_approximate,
    "similarequal" => SYM_similarequal,
    "ifonlyif" => SYM_ifonlyif,
    "implies" => SYM_implies,
    "identical" => SYM_identical,
    "radical" => SYM_radical,
    "includedin" => SYM_includedin,
    "includes" => SYM_includes,
    "intersection" => SYM_intersection,
    "union" => SYM_union,
    "logicaland" => SYM_logicaland,
    "logicalor" => SYM_logicalor,
    "partialderivative" => SYM_partialderivative,
    "function" => SYM_function,
    "leftarrow" => SYM_leftarrow,
    "uparrow" => SYM_uparrow,
    "rightarrow" => SYM_rightarrow,
    "downarrow" => SYM_downarrow,
    "blank" => SYM_blank,
    "soliddiamond" => SYM_soliddiamond,
    "checkerboard" => SYM_checkerboard,
    "ht" => SYM_ht,
    "ff" => SYM_ff,
    "cr" => SYM_cr,
    "lf" => SYM_lf,
    "nl" => SYM_nl,
    "vt" => SYM_vt,
    "lowrightcorner" => SYM_lowrightcorner,
    "uprightcorner" => SYM_uprightcorner,
    "upleftcorner" => SYM_upleftcorner,
    "lowleftcorner" => SYM_lowleftcorner,
    "crossinglines" => SYM_crossinglines,
    "horizlinescan1" => SYM_horizlinescan1,
    "horizlinescan3" => SYM_horizlinescan3,
    "horizlinescan5" => SYM_horizlinescan5,
    "horizlinescan7" => SYM_horizlinescan7,
    "horizlinescan9" => SYM_horizlinescan9,
    "leftt" => SYM_leftt,
    "rightt" => SYM_rightt,
    "bott" => SYM_bott,
    "topt" => SYM_topt,
    "vertbar" => SYM_vertbar,
    "emspace" => SYM_emspace,
    "enspace" => SYM_enspace,
    "em3space" => SYM_em3space,
    "em4space" => SYM_em4space,
    "digitspace" => SYM_digitspace,
    "punctspace" => SYM_punctspace,
    "thinspace" => SYM_thinspace,
    "hairspace" => SYM_hairspace,
    "emdash" => SYM_emdash,
    "endash" => SYM_endash,
    "signifblank" => SYM_signifblank,
    "ellipsis" => SYM_ellipsis,
    "doubbaselinedot" => SYM_doubbaselinedot,
    "onethird" => SYM_onethird,
    "twothirds" => SYM_twothirds,
    "onefifth" => SYM_onefifth,
    "twofifths" => SYM_twofifths,
    "threefifths" => SYM_threefifths,
    "fourfifths" => SYM_fourfifths,
    "onesixth" => SYM_onesixth,
    "fivesixths" => SYM_fivesixths,
    "careof" => SYM_careof,
    "figdash" => SYM_figdash,
    "leftanglebracket" => SYM_leftanglebracket,
    "decimalpoint" => SYM_decimalpoint,
    "rightanglebracket" => SYM_rightanglebracket,
    "marker" => SYM_marker,
    "oneeighth" => SYM_oneeighth,
    "threeeighths" => SYM_threeeighths,
    "fiveeighths" => SYM_fiveeighths,
    "seveneighths" => SYM_seveneighths,
    "trademark" => SYM_trademark,
    "signaturemark" => SYM_signaturemark,
    "trademarkincircle" => SYM_trademarkincircle,
    "leftopentriangle" => SYM_leftopentriangle,
    "rightopentriangle" => SYM_rightopentriangle,
    "emopencircle" => SYM_emopencircle,
    "emopenrectangle" => SYM_emopenrectangle,
    "leftsinglequotemark" => SYM_leftsinglequotemark,
    "rightsinglequotemark" => SYM_rightsinglequotemark,
    "leftdoublequotemark" => SYM_leftdoublequotemark,
    "rightdoublequotemark" => SYM_rightdoublequotemark,
    "prescription" => SYM_prescription,
    "permille" => SYM_permille,
    "minutes" => SYM_minutes,
    "seconds" => SYM_seconds,
    "latincross" => SYM_latincross,
    "hexagram" => SYM_hexagram,
    "filledrectbullet" => SYM_filledrectbullet,
    "filledlefttribullet" => SYM_filledlefttribullet,
    "filledrighttribullet" => SYM_filledrighttribullet,
    "emfilledcircle" => SYM_emfilledcircle,
    "emfilledrect" => SYM_emfilledrect,
    "enopencircbullet" => SYM_enopencircbullet,
    "enopensquarebullet" => SYM_enopensquarebullet,
    "openrectbullet" => SYM_openrectbullet,
    "opentribulletup" => SYM_opentribulletup,
    "opentribulletdown" => SYM_opentribulletdown,
    "openstar" => SYM_openstar,
    "enfilledcircbullet" => SYM_enfilledcircbullet,
    "enfilledsqbullet" => SYM_enfilledsqbullet,
    "filledtribulletup" => SYM_filledtribulletup,
    "filledtribulletdown" => SYM_filledtribulletdown,
    "leftpointer" => SYM_leftpointer,
    "rightpointer" => SYM_rightpointer,
    "club" => SYM_club,
    "diamond" => SYM_diamond,
    "heart" => SYM_heart,
    "maltesecross" => SYM_maltesecross,
    "dagger" => SYM_dagger,
    "doubledagger" => SYM_doubledagger,
    "checkmark" => SYM_checkmark,
    "ballotcross" => SYM_ballotcross,
    "musicalsharp" => SYM_musicalsharp,
    "musicalflat" => SYM_musicalflat,
    "malesymbol" => SYM_malesymbol,
    "femalesymbol" => SYM_femalesymbol,
    "telephone" => SYM_telephone,
    "telephonerecorder" => SYM_telephonerecorder,
    "phonographcopyright" => SYM_phonographcopyright,
    "caret" => SYM_caret,
    "singlelowquotemark" => SYM_singlelowquotemark,
    "doublelowquotemark" => SYM_doublelowquotemark,
    "cursor" => SYM_cursor,
    "leftcaret" => SYM_leftcaret,
    "rightcaret" => SYM_rightcaret,
    "downcaret" => SYM_downcaret,
    "upcaret" => SYM_upcaret,
    "overbar" => SYM_overbar,
    "downtack" => SYM_downtack,
    "upshoe" => SYM_upshoe,
    "downstile" => SYM_downstile,
    "underbar" => SYM_underbar,
    "jot" => SYM_jot,
    "quad" => SYM_quad,
    "uptack" => SYM_uptack,
    "circle" => SYM_circle,
    "upstile" => SYM_upstile,
    "downshoe" => SYM_downshoe,
    "rightshoe" => SYM_rightshoe,
    "leftshoe" => SYM_leftshoe,
    "lefttack" => SYM_lefttack,
    "righttack" => SYM_righttack,
    "hebrew_doublelowline" => SYM_hebrew_doublelowline,
    "hebrew_aleph" => SYM_hebrew_aleph,
    "hebrew_bet" => SYM_hebrew_bet,
    "hebrew_beth" => SYM_hebrew_beth,
    "hebrew_gimel" => SYM_hebrew_gimel,
    "hebrew_gimmel" => SYM_hebrew_gimmel,
    "hebrew_dalet" => SYM_hebrew_dalet,
    "hebrew_daleth" => SYM_hebrew_daleth,
    "hebrew_he" => SYM_hebrew_he,
    "hebrew_waw" => SYM_hebrew_waw,
    "hebrew_zain" => SYM_hebrew_zain,
    "hebrew_zayin" => SYM_hebrew_zayin,
    "hebrew_chet" => SYM_hebrew_chet,
    "hebrew_het" => SYM_hebrew_het,
    "hebrew_tet" => SYM_hebrew_tet,
    "hebrew_teth" => SYM_hebrew_teth,
    "hebrew_yod" => SYM_hebrew_yod,
    "hebrew_finalkaph" => SYM_hebrew_finalkaph,
    "hebrew_kaph" => SYM_hebrew_kaph,
    "hebrew_lamed" => SYM_hebrew_lamed,
    "hebrew_finalmem" => SYM_hebrew_finalmem,
    "hebrew_mem" => SYM_hebrew_mem,
    "hebrew_finalnun" => SYM_hebrew_finalnun,
    "hebrew_nun" => SYM_hebrew_nun,
    "hebrew_samech" => SYM_hebrew_samech,
    "hebrew_samekh" => SYM_hebrew_samekh,
    "hebrew_ayin" => SYM_hebrew_ayin,
    "hebrew_finalpe" => SYM_hebrew_finalpe,
    "hebrew_pe" => SYM_hebrew_pe,
    "hebrew_finalzade" => SYM_hebrew_finalzade,
    "hebrew_finalzadi" => SYM_hebrew_finalzadi,
    "hebrew_zade" => SYM_hebrew_zade,
    "hebrew_zadi" => SYM_hebrew_zadi,
    "hebrew_qoph" => SYM_hebrew_qoph,
    "hebrew_kuf" => SYM_hebrew_kuf,
    "hebrew_resh" => SYM_hebrew_resh,
    "hebrew_shin" => SYM_hebrew_shin,
    "hebrew_taw" => SYM_hebrew_taw,
    "hebrew_taf" => SYM_hebrew_taf,
    "Hebrew_switch" => SYM_Hebrew_switch,
    "Thai_kokai" => SYM_Thai_kokai,
    "Thai_khokhai" => SYM_Thai_khokhai,
    "Thai_khokhuat" => SYM_Thai_khokhuat,
    "Thai_khokhwai" => SYM_Thai_khokhwai,
    "Thai_khokhon" => SYM_Thai_khokhon,
    "Thai_khorakhang" => SYM_Thai_khorakhang,
    "Thai_ngongu" => SYM_Thai_ngongu,
    "Thai_chochan" => SYM_Thai_chochan,
    "Thai_choching" => SYM_Thai_choching,
    "Thai_chochang" => SYM_Thai_chochang,
    "Thai_soso" => SYM_Thai_soso,
    "Thai_chochoe" => SYM_Thai_chochoe,
    "Thai_yoying" => SYM_Thai_yoying,
    "Thai_dochada" => SYM_Thai_dochada,
    "Thai_topatak" => SYM_Thai_topatak,
    "Thai_thothan" => SYM_Thai_thothan,
    "Thai_thonangmontho" => SYM_Thai_thonangmontho,
    "Thai_thophuthao" => SYM_Thai_thophuthao,
    "Thai_nonen" => SYM_Thai_nonen,
    "Thai_dodek" => SYM_Thai_dodek,
    "Thai_totao" => SYM_Thai_totao,
    "Thai_thothung" => SYM_Thai_thothung,
    "Thai_thothahan" => SYM_Thai_thothahan,
    "Thai_thothong" => SYM_Thai_thothong,
    "Thai_nonu" => SYM_Thai_nonu,
    "Thai_bobaimai" => SYM_Thai_bobaimai,
    "Thai_popla" => SYM_Thai_popla,
    "Thai_phophung" => SYM_Thai_phophung,
    "Thai_fofa" => SYM_Thai_fofa,
    "Thai_phophan" => SYM_Thai_phophan,
    "Thai_fofan" => SYM_Thai_fofan,
    "Thai_phosamphao" => SYM_Thai_phosamphao,
    "Thai_moma" => SYM_Thai_moma,
    "Thai_yoyak" => SYM_Thai_yoyak,
    "Thai_rorua" => SYM_Thai_rorua,
    "Thai_ru" => SYM_Thai_ru,
    "Thai_loling" => SYM_Thai_loling,
    "Thai_lu" => SYM_Thai_lu,
    "Thai_wowaen" => SYM_Thai_wowaen,
    "Thai_sosala" => SYM_Thai_sosala,
    "Thai_sorusi" => SYM_Thai_sorusi,
    "Thai_sosua" => SYM_Thai_sosua,
    "Thai_hohip" => SYM_Thai_hohip,
    "Thai_lochula" => SYM_Thai_lochula,
    "Thai_oang" => SYM_Thai_oang,
    "Thai_honokhuk" => SYM_Thai_honokhuk,
    "Thai_paiyannoi" => SYM_Thai_paiyannoi,
    "Thai_saraa" => SYM_Thai_saraa,
    "Thai_maihanakat" => SYM_Thai_maihanakat,
    "Thai_saraaa" => SYM_Thai_saraaa,
    "Thai_saraam" => SYM_Thai_saraam,
    "Thai_sarai" => SYM_Thai_sarai,
    "Thai_saraii" => SYM_Thai_saraii,
    "Thai_saraue" => SYM_Thai_saraue,
    "Thai_sarauee" => SYM_Thai_sarauee,
    "Thai_sarau" => SYM_Thai_sarau,
    "Thai_sarauu" => SYM_Thai_sarauu,
    "Thai_phinthu" => SYM_Thai_phinthu,
    "Thai_maihanakat_maitho" => SYM_Thai_maihanakat_maitho,
    "Thai_baht" => SYM_Thai_baht,
    "Thai_sarae" => SYM_Thai_sarae,
    "Thai_saraae" => SYM_Thai_saraae,
    "Thai_sarao" => SYM_Thai_sarao,
    "Thai_saraaimaimuan" => SYM_Thai_saraaimaimuan,
    "Thai_saraaimaimalai" => SYM_Thai_saraaimaimalai,
    "Thai_lakkhangyao" => SYM_Thai_lakkhangyao,
    "Thai_maiyamok" => SYM_Thai_maiyamok,
    "Thai_maitaikhu" => SYM_Thai_maitaikhu,
    "Thai_maiek" => SYM_Thai_maiek,
    "Thai_maitho" => SYM_Thai_maitho,
    "Thai_maitri" => SYM_Thai_maitri,
    "Thai_maichattawa" => SYM_Thai_maichattawa,
    "Thai_thanthakhat" => SYM_Thai_thanthakhat,
    "Thai_nikhahit" => SYM_Thai_nikhahit,
    "Thai_leksun" => SYM_Thai_leksun,
    "Thai_leknung" => SYM_Thai_leknung,
    "Thai_leksong" => SYM_Thai_leksong,
    "Thai_leksam" => SYM_Thai_leksam,
    "Thai_leksi" => SYM_Thai_leksi,
    "Thai_lekha" => SYM_Thai_lekha,
    "Thai_lekhok" => SYM_Thai_lekhok,
    "Thai_lekchet" => SYM_Thai_lekchet,
    "Thai_lekpaet" => SYM_Thai_lekpaet,
    "Thai_lekkao" => SYM_Thai_lekkao,
    "Hangul" => SYM_Hangul,
    "Hangul_Start" => SYM_Hangul_Start,
    "Hangul_End" => SYM_Hangul_End,
    "Hangul_Hanja" => SYM_Hangul_Hanja,
    "Hangul_Jamo" => SYM_Hangul_Jamo,
    "Hangul_Romaja" => SYM_Hangul_Romaja,
    "Hangul_Codeinput" => SYM_Hangul_Codeinput,
    "Hangul_Jeonja" => SYM_Hangul_Jeonja,
    "Hangul_Banja" => SYM_Hangul_Banja,
    "Hangul_PreHanja" => SYM_Hangul_PreHanja,
    "Hangul_PostHanja" => SYM_Hangul_PostHanja,
    "Hangul_SingleCandidate" => SYM_Hangul_SingleCandidate,
    "Hangul_MultipleCandidate" => SYM_Hangul_MultipleCandidate,
    "Hangul_PreviousCandidate" => SYM_Hangul_PreviousCandidate,
    "Hangul_Special" => SYM_Hangul_Special,
    "Hangul_switch" => SYM_Hangul_switch,
    "Hangul_Kiyeog" => SYM_Hangul_Kiyeog,
    "Hangul_SsangKiyeog" => SYM_Hangul_SsangKiyeog,
    "Hangul_KiyeogSios" => SYM_Hangul_KiyeogSios,
    "Hangul_Nieun" => SYM_Hangul_Nieun,
    "Hangul_NieunJieuj" => SYM_Hangul_NieunJieuj,
    "Hangul_NieunHieuh" => SYM_Hangul_NieunHieuh,
    "Hangul_Dikeud" => SYM_Hangul_Dikeud,
    "Hangul_SsangDikeud" => SYM_Hangul_SsangDikeud,
    "Hangul_Rieul" => SYM_Hangul_Rieul,
    "Hangul_RieulKiyeog" => SYM_Hangul_RieulKiyeog,
    "Hangul_RieulMieum" => SYM_Hangul_RieulMieum,
    "Hangul_RieulPieub" => SYM_Hangul_RieulPieub,
    "Hangul_RieulSios" => SYM_Hangul_RieulSios,
    "Hangul_RieulTieut" => SYM_Hangul_RieulTieut,
    "Hangul_RieulPhieuf" => SYM_Hangul_RieulPhieuf,
    "Hangul_RieulHieuh" => SYM_Hangul_RieulHieuh,
    "Hangul_Mieum" => SYM_Hangul_Mieum,
    "Hangul_Pieub" => SYM_Hangul_Pieub,
    "Hangul_SsangPieub" => SYM_Hangul_SsangPieub,
    "Hangul_PieubSios" => SYM_Hangul_PieubSios,
    "Hangul_Sios" => SYM_Hangul_Sios,
    "Hangul_SsangSios" => SYM_Hangul_SsangSios,
    "Hangul_Ieung" => SYM_Hangul_Ieung,
    "Hangul_Jieuj" => SYM_Hangul_Jieuj,
    "Hangul_SsangJieuj" => SYM_Hangul_SsangJieuj,
    "Hangul_Cieuc" => SYM_Hangul_Cieuc,
    "Hangul_Khieuq" => SYM_Hangul_Khieuq,
    "Hangul_Tieut" => SYM_Hangul_Tieut,
    "Hangul_Phieuf" => SYM_Hangul_Phieuf,
    "Hangul_Hieuh" => SYM_Hangul_Hieuh,
    "Hangul_A" => SYM_Hangul_A,
    "Hangul_AE" => SYM_Hangul_AE,
    "Hangul_YA" => SYM_Hangul_YA,
    "Hangul_YAE" => SYM_Hangul_YAE,
    "Hangul_EO" => SYM_Hangul_EO,
    "Hangul_E" => SYM_Hangul_E,
    "Hangul_YEO" => SYM_Hangul_YEO,
    "Hangul_YE" => SYM_Hangul_YE,
    "Hangul_O" => SYM_Hangul_O,
    "Hangul_WA" => SYM_Hangul_WA,
    "Hangul_WAE" => SYM_Hangul_WAE,
    "Hangul_OE" => SYM_Hangul_OE,
    "Hangul_YO" => SYM_Hangul_YO,
    "Hangul_U" => SYM_Hangul_U,
    "Hangul_WEO" => SYM_Hangul_WEO,
    "Hangul_WE" => SYM_Hangul_WE,
    "Hangul_WI" => SYM_Hangul_WI,
    "Hangul_YU" => SYM_Hangul_YU,
    "Hangul_EU" => SYM_Hangul_EU,
    "Hangul_YI" => SYM_Hangul_YI,
    "Hangul_I" => SYM_Hangul_I,
    "Hangul_J_Kiyeog" => SYM_Hangul_J_Kiyeog,
    "Hangul_J_SsangKiyeog" => SYM_Hangul_J_SsangKiyeog,
    "Hangul_J_KiyeogSios" => SYM_Hangul_J_KiyeogSios,
    "Hangul_J_Nieun" => SYM_Hangul_J_Nieun,
    "Hangul_J_NieunJieuj" => SYM_Hangul_J_NieunJieuj,
    "Hangul_J_NieunHieuh" => SYM_Hangul_J_NieunHieuh,
    "Hangul_J_Dikeud" => SYM_Hangul_J_Dikeud,
    "Hangul_J_Rieul" => SYM_Hangul_J_Rieul,
    "Hangul_J_RieulKiyeog" => SYM_Hangul_J_RieulKiyeog,
    "Hangul_J_RieulMieum" => SYM_Hangul_J_RieulMieum,
    "Hangul_J_RieulPieub" => SYM_Hangul_J_RieulPieub,
    "Hangul_J_RieulSios" => SYM_Hangul_J_RieulSios,
    "Hangul_J_RieulTieut" => SYM_Hangul_J_RieulTieut,
    "Hangul_J_RieulPhieuf" => SYM_Hangul_J_RieulPhieuf,
    "Hangul_J_RieulHieuh" => SYM_Hangul_J_RieulHieuh,
    "Hangul_J_Mieum" => SYM_Hangul_J_Mieum,
    "Hangul_J_Pieub" => SYM_Hangul_J_Pieub,
    "Hangul_J_PieubSios" => SYM_Hangul_J_PieubSios,
    "Hangul_J_Sios" => SYM_Hangul_J_Sios,
    "Hangul_J_SsangSios" => SYM_Hangul_J_SsangSios,
    "Hangul_J_Ieung" => SYM_Hangul_J_Ieung,
    "Hangul_J_Jieuj" => SYM_Hangul_J_Jieuj,
    "Hangul_J_Cieuc" => SYM_Hangul_J_Cieuc,
    "Hangul_J_Khieuq" => SYM_Hangul_J_Khieuq,
    "Hangul_J_Tieut" => SYM_Hangul_J_Tieut,
    "Hangul_J_Phieuf" => SYM_Hangul_J_Phieuf,
    "Hangul_J_Hieuh" => SYM_Hangul_J_Hieuh,
    "Hangul_RieulYeorinHieuh" => SYM_Hangul_RieulYeorinHieuh,
    "Hangul_SunkyeongeumMieum" => SYM_Hangul_SunkyeongeumMieum,
    "Hangul_SunkyeongeumPieub" => SYM_Hangul_SunkyeongeumPieub,
    "Hangul_PanSios" => SYM_Hangul_PanSios,
    "Hangul_KkogjiDalrinIeung" => SYM_Hangul_KkogjiDalrinIeung,
    "Hangul_SunkyeongeumPhieuf" => SYM_Hangul_SunkyeongeumPhieuf,
    "Hangul_YeorinHieuh" => SYM_Hangul_YeorinHieuh,
    "Hangul_AraeA" => SYM_Hangul_AraeA,
    "Hangul_AraeAE" => SYM_Hangul_AraeAE,
    "Hangul_J_PanSios" => SYM_Hangul_J_PanSios,
    "Hangul_J_KkogjiDalrinIeung" => SYM_Hangul_J_KkogjiDalrinIeung,
    "Hangul_J_YeorinHieuh" => SYM_Hangul_J_YeorinHieuh,
    "Korean_Won" => SYM_Korean_Won,
    "Armenian_ligature_ew" => SYM_Armenian_ligature_ew,
    "Armenian_full_stop" => SYM_Armenian_full_stop,
    "Armenian_verjaket" => SYM_Armenian_verjaket,
    "Armenian_separation_mark" => SYM_Armenian_separation_mark,
    "Armenian_but" => SYM_Armenian_but,
    "Armenian_hyphen" => SYM_Armenian_hyphen,
    "Armenian_yentamna" => SYM_Armenian_yentamna,
    "Armenian_exclam" => SYM_Armenian_exclam,
    "Armenian_amanak" => SYM_Armenian_amanak,
    "Armenian_accent" => SYM_Armenian_accent,
    "Armenian_shesht" => SYM_Armenian_shesht,
    "Armenian_question" => SYM_Armenian_question,
    "Armenian_paruyk" => SYM_Armenian_paruyk,
    "Armenian_AYB" => SYM_Armenian_AYB,
    "Armenian_ayb" => SYM_Armenian_ayb,
    "Armenian_BEN" => SYM_Armenian_BEN,
    "Armenian_ben" => SYM_Armenian_ben,
    "Armenian_GIM" => SYM_Armenian_GIM,
    "Armenian_gim" => SYM_Armenian_gim,
    "Armenian_DA" => SYM_Armenian_DA,
    "Armenian_da" => SYM_Armenian_da,
    "Armenian_YECH" => SYM_Armenian_YECH,
    "Armenian_yech" => SYM_Armenian_yech,
    "Armenian_ZA" => SYM_Armenian_ZA,
    "Armenian_za" => SYM_Armenian_za,
    "Armenian_E" => SYM_Armenian_E,
    "Armenian_e" => SYM_Armenian_e,
    "Armenian_AT" => SYM_Armenian_AT,
    "Armenian_at" => SYM_Armenian_at,
    "Armenian_TO" => SYM_Armenian_TO,
    "Armenian_to" => SYM_Armenian_to,
    "Armenian_ZHE" => SYM_Armenian_ZHE,
    "Armenian_zhe" => SYM_Armenian_zhe,
    "Armenian_INI" => SYM_Armenian_INI,
    "Armenian_ini" => SYM_Armenian_ini,
    "Armenian_LYUN" => SYM_Armenian_LYUN,
    "Armenian_lyun" => SYM_Armenian_lyun,
    "Armenian_KHE" => SYM_Armenian_KHE,
    "Armenian_khe" => SYM_Armenian_khe,
    "Armenian_TSA" => SYM_Armenian_TSA,
    "Armenian_tsa" => SYM_Armenian_tsa,
    "Armenian_KEN" => SYM_Armenian_KEN,
    "Armenian_ken" => SYM_Armenian_ken,
    "Armenian_HO" => SYM_Armenian_HO,
    "Armenian_ho" => SYM_Armenian_ho,
    "Armenian_DZA" => SYM_Armenian_DZA,
    "Armenian_dza" => SYM_Armenian_dza,
    "Armenian_GHAT" => SYM_Armenian_GHAT,
    "Armenian_ghat" => SYM_Armenian_ghat,
    "Armenian_TCHE" => SYM_Armenian_TCHE,
    "Armenian_tche" => SYM_Armenian_tche,
    "Armenian_MEN" => SYM_Armenian_MEN,
    "Armenian_men" => SYM_Armenian_men,
    "Armenian_HI" => SYM_Armenian_HI,
    "Armenian_hi" => SYM_Armenian_hi,
    "Armenian_NU" => SYM_Armenian_NU,
    "Armenian_nu" => SYM_Armenian_nu,
    "Armenian_SHA" => SYM_Armenian_SHA,
    "Armenian_sha" => SYM_Armenian_sha,
    "Armenian_VO" => SYM_Armenian_VO,
    "Armenian_vo" => SYM_Armenian_vo,
    "Armenian_CHA" => SYM_Armenian_CHA,
    "Armenian_cha" => SYM_Armenian_cha,
    "Armenian_PE" => SYM_Armenian_PE,
    "Armenian_pe" => SYM_Armenian_pe,
    "Armenian_JE" => SYM_Armenian_JE,
    "Armenian_je" => SYM_Armenian_je,
    "Armenian_RA" => SYM_Armenian_RA,
    "Armenian_ra" => SYM_Armenian_ra,
    "Armenian_SE" => SYM_Armenian_SE,
    "Armenian_se" => SYM_Armenian_se,
    "Armenian_VEV" => SYM_Armenian_VEV,
    "Armenian_vev" => SYM_Armenian_vev,
    "Armenian_TYUN" => SYM_Armenian_TYUN,
    "Armenian_tyun" => SYM_Armenian_tyun,
    "Armenian_RE" => SYM_Armenian_RE,
    "Armenian_re" => SYM_Armenian_re,
    "Armenian_TSO" => SYM_Armenian_TSO,
    "Armenian_tso" => SYM_Armenian_tso,
    "Armenian_VYUN" => SYM_Armenian_VYUN,
    "Armenian_vyun" => SYM_Armenian_vyun,
    "Armenian_PYUR" => SYM_Armenian_PYUR,
    "Armenian_pyur" => SYM_Armenian_pyur,
    "Armenian_KE" => SYM_Armenian_KE,
    "Armenian_ke" => SYM_Armenian_ke,
    "Armenian_O" => SYM_Armenian_O,
    "Armenian_o" => SYM_Armenian_o,
    "Armenian_FE" => SYM_Armenian_FE,
    "Armenian_fe" => SYM_Armenian_fe,
    "Armenian_apostrophe" => SYM_Armenian_apostrophe,
    "Georgian_an" => SYM_Georgian_an,
    "Georgian_ban" => SYM_Georgian_ban,
    "Georgian_gan" => SYM_Georgian_gan,
    "Georgian_don" => SYM_Georgian_don,
    "Georgian_en" => SYM_Georgian_en,
    "Georgian_vin" => SYM_Georgian_vin,
    "Georgian_zen" => SYM_Georgian_zen,
    "Georgian_tan" => SYM_Georgian_tan,
    "Georgian_in" => SYM_Georgian_in,
    "Georgian_kan" => SYM_Georgian_kan,
    "Georgian_las" => SYM_Georgian_las,
    "Georgian_man" => SYM_Georgian_man,
    "Georgian_nar" => SYM_Georgian_nar,
    "Georgian_on" => SYM_Georgian_on,
    "Georgian_par" => SYM_Georgian_par,
    "Georgian_zhar" => SYM_Georgian_zhar,
    "Georgian_rae" => SYM_Georgian_rae,
    "Georgian_san" => SYM_Georgian_san,
    "Georgian_tar" => SYM_Georgian_tar,
    "Georgian_un" => SYM_Georgian_un,
    "Georgian_phar" => SYM_Georgian_phar,
    "Georgian_khar" => SYM_Georgian_khar,
    "Georgian_ghan" => SYM_Georgian_ghan,
    "Georgian_qar" => SYM_Georgian_qar,
    "Georgian_shin" => SYM_Georgian_shin,
    "Georgian_chin" => SYM_Georgian_chin,
    "Georgian_can" => SYM_Georgian_can,
    "Georgian_jil" => SYM_Georgian_jil,
    "Georgian_cil" => SYM_Georgian_cil,
    "Georgian_char" => SYM_Georgian_char,
    "Georgian_xan" => SYM_Georgian_xan,
    "Georgian_jhan" => SYM_Georgian_jhan,
    "Georgian_hae" => SYM_Georgian_hae,
    "Georgian_he" => SYM_Georgian_he,
    "Georgian_hie" => SYM_Georgian_hie,
    "Georgian_we" => SYM_Georgian_we,
    "Georgian_har" => SYM_Georgian_har,
    "Georgian_hoe" => SYM_Georgian_hoe,
    "Georgian_fi" => SYM_Georgian_fi,
    "Xabovedot" => SYM_Xabovedot,
    "Ibreve" => SYM_Ibreve,
    "Zstroke" => SYM_Zstroke,
    "Gcaron" => SYM_Gcaron,
    "Ocaron" => SYM_Ocaron,
    "Obarred" => SYM_Obarred,
    "xabovedot" => SYM_xabovedot,
    "ibreve" => SYM_ibreve,
    "zstroke" => SYM_zstroke,
    "gcaron" => SYM_gcaron,
    "ocaron" => SYM_ocaron,
    "obarred" => SYM_obarred,
    "SCHWA" => SYM_SCHWA,
    "schwa" => SYM_schwa,
    "EZH" => SYM_EZH,
    "ezh" => SYM_ezh,
    "Lbelowdot" => SYM_Lbelowdot,
    "lbelowdot" => SYM_lbelowdot,
    "Abelowdot" => SYM_Abelowdot,
    "abelowdot" => SYM_abelowdot,
    "Ahook" => SYM_Ahook,
    "ahook" => SYM_ahook,
    "Acircumflexacute" => SYM_Acircumflexacute,
    "acircumflexacute" => SYM_acircumflexacute,
    "Acircumflexgrave" => SYM_Acircumflexgrave,
    "acircumflexgrave" => SYM_acircumflexgrave,
    "Acircumflexhook" => SYM_Acircumflexhook,
    "acircumflexhook" => SYM_acircumflexhook,
    "Acircumflextilde" => SYM_Acircumflextilde,
    "acircumflextilde" => SYM_acircumflextilde,
    "Acircumflexbelowdot" => SYM_Acircumflexbelowdot,
    "acircumflexbelowdot" => SYM_acircumflexbelowdot,
    "Abreveacute" => SYM_Abreveacute,
    "abreveacute" => SYM_abreveacute,
    "Abrevegrave" => SYM_Abrevegrave,
    "abrevegrave" => SYM_abrevegrave,
    "Abrevehook" => SYM_Abrevehook,
    "abrevehook" => SYM_abrevehook,
    "Abrevetilde" => SYM_Abrevetilde,
    "abrevetilde" => SYM_abrevetilde,
    "Abrevebelowdot" => SYM_Abrevebelowdot,
    "abrevebelowdot" => SYM_abrevebelowdot,
    "Ebelowdot" => SYM_Ebelowdot,
    "ebelowdot" => SYM_ebelowdot,
    "Ehook" => SYM_Ehook,
    "ehook" => SYM_ehook,
    "Etilde" => SYM_Etilde,
    "etilde" => SYM_etilde,
    "Ecircumflexacute" => SYM_Ecircumflexacute,
    "ecircumflexacute" => SYM_ecircumflexacute,
    "Ecircumflexgrave" => SYM_Ecircumflexgrave,
    "ecircumflexgrave" => SYM_ecircumflexgrave,
    "Ecircumflexhook" => SYM_Ecircumflexhook,
    "ecircumflexhook" => SYM_ecircumflexhook,
    "Ecircumflextilde" => SYM_Ecircumflextilde,
    "ecircumflextilde" => SYM_ecircumflextilde,
    "Ecircumflexbelowdot" => SYM_Ecircumflexbelowdot,
    "ecircumflexbelowdot" => SYM_ecircumflexbelowdot,
    "Ihook" => SYM_Ihook,
    "ihook" => SYM_ihook,
    "Ibelowdot" => SYM_Ibelowdot,
    "ibelowdot" => SYM_ibelowdot,
    "Obelowdot" => SYM_Obelowdot,
    "obelowdot" => SYM_obelowdot,
    "Ohook" => SYM_Ohook,
    "ohook" => SYM_ohook,
    "Ocircumflexacute" => SYM_Ocircumflexacute,
    "ocircumflexacute" => SYM_ocircumflexacute,
    "Ocircumflexgrave" => SYM_Ocircumflexgrave,
    "ocircumflexgrave" => SYM_ocircumflexgrave,
    "Ocircumflexhook" => SYM_Ocircumflexhook,
    "ocircumflexhook" => SYM_ocircumflexhook,
    "Ocircumflextilde" => SYM_Ocircumflextilde,
    "ocircumflextilde" => SYM_ocircumflextilde,
    "Ocircumflexbelowdot" => SYM_Ocircumflexbelowdot,
    "ocircumflexbelowdot" => SYM_ocircumflexbelowdot,
    "Ohornacute" => SYM_Ohornacute,
    "ohornacute" => SYM_ohornacute,
    "Ohorngrave" => SYM_Ohorngrave,
    "ohorngrave" => SYM_ohorngrave,
    "Ohornhook" => SYM_Ohornhook,
    "ohornhook" => SYM_ohornhook,
    "Ohorntilde" => SYM_Ohorntilde,
    "ohorntilde" => SYM_ohorntilde,
    "Ohornbelowdot" => SYM_Ohornbelowdot,
    "ohornbelowdot" => SYM_ohornbelowdot,
    "Ubelowdot" => SYM_Ubelowdot,
    "ubelowdot" => SYM_ubelowdot,
    "Uhook" => SYM_Uhook,
    "uhook" => SYM_uhook,
    "Uhornacute" => SYM_Uhornacute,
    "uhornacute" => SYM_uhornacute,
    "Uhorngrave" => SYM_Uhorngrave,
    "uhorngrave" => SYM_uhorngrave,
    "Uhornhook" => SYM_Uhornhook,
    "uhornhook" => SYM_uhornhook,
    "Uhorntilde" => SYM_Uhorntilde,
    "uhorntilde" => SYM_uhorntilde,
    "Uhornbelowdot" => SYM_Uhornbelowdot,
    "uhornbelowdot" => SYM_uhornbelowdot,
    "Ybelowdot" => SYM_Ybelowdot,
    "ybelowdot" => SYM_ybelowdot,
    "Yhook" => SYM_Yhook,
    "yhook" => SYM_yhook,
    "Ytilde" => SYM_Ytilde,
    "ytilde" => SYM_ytilde,
    "Ohorn" => SYM_Ohorn,
    "ohorn" => SYM_ohorn,
    "Uhorn" => SYM_Uhorn,
    "uhorn" => SYM_uhorn,
    "combining_tilde" => SYM_combining_tilde,
    "combining_grave" => SYM_combining_grave,
    "combining_acute" => SYM_combining_acute,
    "combining_hook" => SYM_combining_hook,
    "combining_belowdot" => SYM_combining_belowdot,
    "EcuSign" => SYM_EcuSign,
    "ColonSign" => SYM_ColonSign,
    "CruzeiroSign" => SYM_CruzeiroSign,
    "FFrancSign" => SYM_FFrancSign,
    "LiraSign" => SYM_LiraSign,
    "MillSign" => SYM_MillSign,
    "NairaSign" => SYM_NairaSign,
    "PesetaSign" => SYM_PesetaSign,
    "RupeeSign" => SYM_RupeeSign,
    "WonSign" => SYM_WonSign,
    "NewSheqelSign" => SYM_NewSheqelSign,
    "DongSign" => SYM_DongSign,
    "EuroSign" => SYM_EuroSign,
    "zerosuperior" => SYM_zerosuperior,
    "foursuperior" => SYM_foursuperior,
    "fivesuperior" => SYM_fivesuperior,
    "sixsuperior" => SYM_sixsuperior,
    "sevensuperior" => SYM_sevensuperior,
    "eightsuperior" => SYM_eightsuperior,
    "ninesuperior" => SYM_ninesuperior,
    "zerosubscript" => SYM_zerosubscript,
    "onesubscript" => SYM_onesubscript,
    "twosubscript" => SYM_twosubscript,
    "threesubscript" => SYM_threesubscript,
    "foursubscript" => SYM_foursubscript,
    "fivesubscript" => SYM_fivesubscript,
    "sixsubscript" => SYM_sixsubscript,
    "sevensubscript" => SYM_sevensubscript,
    "eightsubscript" => SYM_eightsubscript,
    "ninesubscript" => SYM_ninesubscript,
    "partdifferential" => SYM_partdifferential,
    "emptyset" => SYM_emptyset,
    "elementof" => SYM_elementof,
    "notelementof" => SYM_notelementof,
    "containsas" => SYM_containsas,
    "squareroot" => SYM_squareroot,
    "cuberoot" => SYM_cuberoot,
    "fourthroot" => SYM_fourthroot,
    "dintegral" => SYM_dintegral,
    "tintegral" => SYM_tintegral,
    "because" => SYM_because,
    "approxeq" => SYM_approxeq,
    "notapproxeq" => SYM_notapproxeq,
    "notidentical" => SYM_notidentical,
    "stricteq" => SYM_stricteq,
    "braille_dot_1" => SYM_braille_dot_1,
    "braille_dot_2" => SYM_braille_dot_2,
    "braille_dot_3" => SYM_braille_dot_3,
    "braille_dot_4" => SYM_braille_dot_4,
    "braille_dot_5" => SYM_braille_dot_5,
    "braille_dot_6" => SYM_braille_dot_6,
    "braille_dot_7" => SYM_braille_dot_7,
    "braille_dot_8" => SYM_braille_dot_8,
    "braille_dot_9" => SYM_braille_dot_9,
    "braille_dot_10" => SYM_braille_dot_10,
    "braille_blank" => SYM_braille_blank,
    "braille_dots_1" => SYM_braille_dots_1,
    "braille_dots_2" => SYM_braille_dots_2,
    "braille_dots_12" => SYM_braille_dots_12,
    "braille_dots_3" => SYM_braille_dots_3,
    "braille_dots_13" => SYM_braille_dots_13,
    "braille_dots_23" => SYM_braille_dots_23,
    "braille_dots_123" => SYM_braille_dots_123,
    "braille_dots_4" => SYM_braille_dots_4,
    "braille_dots_14" => SYM_braille_dots_14,
    "braille_dots_24" => SYM_braille_dots_24,
    "braille_dots_124" => SYM_braille_dots_124,
    "braille_dots_34" => SYM_braille_dots_34,
    "braille_dots_134" => SYM_braille_dots_134,
    "braille_dots_234" => SYM_braille_dots_234,
    "braille_dots_1234" => SYM_braille_dots_1234,
    "braille_dots_5" => SYM_braille_dots_5,
    "braille_dots_15" => SYM_braille_dots_15,
    "braille_dots_25" => SYM_braille_dots_25,
    "braille_dots_125" => SYM_braille_dots_125,
    "braille_dots_35" => SYM_braille_dots_35,
    "braille_dots_135" => SYM_braille_dots_135,
    "braille_dots_235" => SYM_braille_dots_235,
    "braille_dots_1235" => SYM_braille_dots_1235,
    "braille_dots_45" => SYM_braille_dots_45,
    "braille_dots_145" => SYM_braille_dots_145,
    "braille_dots_245" => SYM_braille_dots_245,
    "braille_dots_1245" => SYM_braille_dots_1245,
    "braille_dots_345" => SYM_braille_dots_345,
    "braille_dots_1345" => SYM_braille_dots_1345,
    "braille_dots_2345" => SYM_braille_dots_2345,
    "braille_dots_12345" => SYM_braille_dots_12345,
    "braille_dots_6" => SYM_braille_dots_6,
    "braille_dots_16" => SYM_braille_dots_16,
    "braille_dots_26" => SYM_braille_dots_26,
    "braille_dots_126" => SYM_braille_dots_126,
    "braille_dots_36" => SYM_braille_dots_36,
    "braille_dots_136" => SYM_braille_dots_136,
    "braille_dots_236" => SYM_braille_dots_236,
    "braille_dots_1236" => SYM_braille_dots_1236,
    "braille_dots_46" => SYM_braille_dots_46,
    "braille_dots_146" => SYM_braille_dots_146,
    "braille_dots_246" => SYM_braille_dots_246,
    "braille_dots_1246" => SYM_braille_dots_1246,
    "braille_dots_346" => SYM_braille_dots_346,
    "braille_dots_1346" => SYM_braille_dots_1346,
    "braille_dots_2346" => SYM_braille_dots_2346,
    "braille_dots_12346" => SYM_braille_dots_12346,
    "braille_dots_56" => SYM_braille_dots_56,
    "braille_dots_156" => SYM_braille_dots_156,
    "braille_dots_256" => SYM_braille_dots_256,
    "braille_dots_1256" => SYM_braille_dots_1256,
    "braille_dots_356" => SYM_braille_dots_356,
    "braille_dots_1356" => SYM_braille_dots_1356,
    "braille_dots_2356" => SYM_braille_dots_2356,
    "braille_dots_12356" => SYM_braille_dots_12356,
    "braille_dots_456" => SYM_braille_dots_456,
    "braille_dots_1456" => SYM_braille_dots_1456,
    "braille_dots_2456" => SYM_braille_dots_2456,
    "braille_dots_12456" => SYM_braille_dots_12456,
    "braille_dots_3456" => SYM_braille_dots_3456,
    "braille_dots_13456" => SYM_braille_dots_13456,
    "braille_dots_23456" => SYM_braille_dots_23456,
    "braille_dots_123456" => SYM_braille_dots_123456,
    "braille_dots_7" => SYM_braille_dots_7,
    "braille_dots_17" => SYM_braille_dots_17,
    "braille_dots_27" => SYM_braille_dots_27,
    "braille_dots_127" => SYM_braille_dots_127,
    "braille_dots_37" => SYM_braille_dots_37,
    "braille_dots_137" => SYM_braille_dots_137,
    "braille_dots_237" => SYM_braille_dots_237,
    "braille_dots_1237" => SYM_braille_dots_1237,
    "braille_dots_47" => SYM_braille_dots_47,
    "braille_dots_147" => SYM_braille_dots_147,
    "braille_dots_247" => SYM_braille_dots_247,
    "braille_dots_1247" => SYM_braille_dots_1247,
    "braille_dots_347" => SYM_braille_dots_347,
    "braille_dots_1347" => SYM_braille_dots_1347,
    "braille_dots_2347" => SYM_braille_dots_2347,
    "braille_dots_12347" => SYM_braille_dots_12347,
    "braille_dots_57" => SYM_braille_dots_57,
    "braille_dots_157" => SYM_braille_dots_157,
    "braille_dots_257" => SYM_braille_dots_257,
    "braille_dots_1257" => SYM_braille_dots_1257,
    "braille_dots_357" => SYM_braille_dots_357,
    "braille_dots_1357" => SYM_braille_dots_1357,
    "braille_dots_2357" => SYM_braille_dots_2357,
    "braille_dots_12357" => SYM_braille_dots_12357,
    "braille_dots_457" => SYM_braille_dots_457,
    "braille_dots_1457" => SYM_braille_dots_1457,
    "braille_dots_2457" => SYM_braille_dots_2457,
    "braille_dots_12457" => SYM_braille_dots_12457,
    "braille_dots_3457" => SYM_braille_dots_3457,
    "braille_dots_13457" => SYM_braille_dots_13457,
    "braille_dots_23457" => SYM_braille_dots_23457,
    "braille_dots_123457" => SYM_braille_dots_123457,
    "braille_dots_67" => SYM_braille_dots_67,
    "braille_dots_167" => SYM_braille_dots_167,
    "braille_dots_267" => SYM_braille_dots_267,
    "braille_dots_1267" => SYM_braille_dots_1267,
    "braille_dots_367" => SYM_braille_dots_367,
    "braille_dots_1367" => SYM_braille_dots_1367,
    "braille_dots_2367" => SYM_braille_dots_2367,
    "braille_dots_12367" => SYM_braille_dots_12367,
    "braille_dots_467" => SYM_braille_dots_467,
    "braille_dots_1467" => SYM_braille_dots_1467,
    "braille_dots_2467" => SYM_braille_dots_2467,
    "braille_dots_12467" => SYM_braille_dots_12467,
    "braille_dots_3467" => SYM_braille_dots_3467,
    "braille_dots_13467" => SYM_braille_dots_13467,
    "braille_dots_23467" => SYM_braille_dots_23467,
    "braille_dots_123467" => SYM_braille_dots_123467,
    "braille_dots_567" => SYM_braille_dots_567,
    "braille_dots_1567" => SYM_braille_dots_1567,
    "braille_dots_2567" => SYM_braille_dots_2567,
    "braille_dots_12567" => SYM_braille_dots_12567,
    "braille_dots_3567" => SYM_braille_dots_3567,
    "braille_dots_13567" => SYM_braille_dots_13567,
    "braille_dots_23567" => SYM_braille_dots_23567,
    "braille_dots_123567" => SYM_braille_dots_123567,
    "braille_dots_4567" => SYM_braille_dots_4567,
    "braille_dots_14567" => SYM_braille_dots_14567,
    "braille_dots_24567" => SYM_braille_dots_24567,
    "braille_dots_124567" => SYM_braille_dots_124567,
    "braille_dots_34567" => SYM_braille_dots_34567,
    "braille_dots_134567" => SYM_braille_dots_134567,
    "braille_dots_234567" => SYM_braille_dots_234567,
    "braille_dots_1234567" => SYM_braille_dots_1234567,
    "braille_dots_8" => SYM_braille_dots_8,
    "braille_dots_18" => SYM_braille_dots_18,
    "braille_dots_28" => SYM_braille_dots_28,
    "braille_dots_128" => SYM_braille_dots_128,
    "braille_dots_38" => SYM_braille_dots_38,
    "braille_dots_138" => SYM_braille_dots_138,
    "braille_dots_238" => SYM_braille_dots_238,
    "braille_dots_1238" => SYM_braille_dots_1238,
    "braille_dots_48" => SYM_braille_dots_48,
    "braille_dots_148" => SYM_braille_dots_148,
    "braille_dots_248" => SYM_braille_dots_248,
    "braille_dots_1248" => SYM_braille_dots_1248,
    "braille_dots_348" => SYM_braille_dots_348,
    "braille_dots_1348" => SYM_braille_dots_1348,
    "braille_dots_2348" => SYM_braille_dots_2348,
    "braille_dots_12348" => SYM_braille_dots_12348,
    "braille_dots_58" => SYM_braille_dots_58,
    "braille_dots_158" => SYM_braille_dots_158,
    "braille_dots_258" => SYM_braille_dots_258,
    "braille_dots_1258" => SYM_braille_dots_1258,
    "braille_dots_358" => SYM_braille_dots_358,
    "braille_dots_1358" => SYM_braille_dots_1358,
    "braille_dots_2358" => SYM_braille_dots_2358,
    "braille_dots_12358" => SYM_braille_dots_12358,
    "braille_dots_458" => SYM_braille_dots_458,
    "braille_dots_1458" => SYM_braille_dots_1458,
    "braille_dots_2458" => SYM_braille_dots_2458,
    "braille_dots_12458" => SYM_braille_dots_12458,
    "braille_dots_3458" => SYM_braille_dots_3458,
    "braille_dots_13458" => SYM_braille_dots_13458,
    "braille_dots_23458" => SYM_braille_dots_23458,
    "braille_dots_123458" => SYM_braille_dots_123458,
    "braille_dots_68" => SYM_braille_dots_68,
    "braille_dots_168" => SYM_braille_dots_168,
    "braille_dots_268" => SYM_braille_dots_268,
    "braille_dots_1268" => SYM_braille_dots_1268,
    "braille_dots_368" => SYM_braille_dots_368,
    "braille_dots_1368" => SYM_braille_dots_1368,
    "braille_dots_2368" => SYM_braille_dots_2368,
    "braille_dots_12368" => SYM_braille_dots_12368,
    "braille_dots_468" => SYM_braille_dots_468,
    "braille_dots_1468" => SYM_braille_dots_1468,
    "braille_dots_2468" => SYM_braille_dots_2468,
    "braille_dots_12468" => SYM_braille_dots_12468,
    "braille_dots_3468" => SYM_braille_dots_3468,
    "braille_dots_13468" => SYM_braille_dots_13468,
    "braille_dots_23468" => SYM_braille_dots_23468,
    "braille_dots_123468" => SYM_braille_dots_123468,
    "braille_dots_568" => SYM_braille_dots_568,
    "braille_dots_1568" => SYM_braille_dots_1568,
    "braille_dots_2568" => SYM_braille_dots_2568,
    "braille_dots_12568" => SYM_braille_dots_12568,
    "braille_dots_3568" => SYM_braille_dots_3568,
    "braille_dots_13568" => SYM_braille_dots_13568,
    "braille_dots_23568" => SYM_braille_dots_23568,
    "braille_dots_123568" => SYM_braille_dots_123568,
    "braille_dots_4568" => SYM_braille_dots_4568,
    "braille_dots_14568" => SYM_braille_dots_14568,
    "braille_dots_24568" => SYM_braille_dots_24568,
    "braille_dots_124568" => SYM_braille_dots_124568,
    "braille_dots_34568" => SYM_braille_dots_34568,
    "braille_dots_134568" => SYM_braille_dots_134568,
    "braille_dots_234568" => SYM_braille_dots_234568,
    "braille_dots_1234568" => SYM_braille_dots_1234568,
    "braille_dots_78" => SYM_braille_dots_78,
    "braille_dots_178" => SYM_braille_dots_178,
    "braille_dots_278" => SYM_braille_dots_278,
    "braille_dots_1278" => SYM_braille_dots_1278,
    "braille_dots_378" => SYM_braille_dots_378,
    "braille_dots_1378" => SYM_braille_dots_1378,
    "braille_dots_2378" => SYM_braille_dots_2378,
    "braille_dots_12378" => SYM_braille_dots_12378,
    "braille_dots_478" => SYM_braille_dots_478,
    "braille_dots_1478" => SYM_braille_dots_1478,
    "braille_dots_2478" => SYM_braille_dots_2478,
    "braille_dots_12478" => SYM_braille_dots_12478,
    "braille_dots_3478" => SYM_braille_dots_3478,
    "braille_dots_13478" => SYM_braille_dots_13478,
    "braille_dots_23478" => SYM_braille_dots_23478,
    "braille_dots_123478" => SYM_braille_dots_123478,
    "braille_dots_578" => SYM_braille_dots_578,
    "braille_dots_1578" => SYM_braille_dots_1578,
    "braille_dots_2578" => SYM_braille_dots_2578,
    "braille_dots_12578" => SYM_braille_dots_12578,
    "braille_dots_3578" => SYM_braille_dots_3578,
    "braille_dots_13578" => SYM_braille_dots_13578,
    "braille_dots_23578" => SYM_braille_dots_23578,
    "braille_dots_123578" => SYM_braille_dots_123578,
    "braille_dots_4578" => SYM_braille_dots_4578,
    "braille_dots_14578" => SYM_braille_dots_14578,
    "braille_dots_24578" => SYM_braille_dots_24578,
    "braille_dots_124578" => SYM_braille_dots_124578,
    "braille_dots_34578" => SYM_braille_dots_34578,
    "braille_dots_134578" => SYM_braille_dots_134578,
    "braille_dots_234578" => SYM_braille_dots_234578,
    "braille_dots_1234578" => SYM_braille_dots_1234578,
    "braille_dots_678" => SYM_braille_dots_678,
    "braille_dots_1678" => SYM_braille_dots_1678,
    "braille_dots_2678" => SYM_braille_dots_2678,
    "braille_dots_12678" => SYM_braille_dots_12678,
    "braille_dots_3678" => SYM_braille_dots_3678,
    "braille_dots_13678" => SYM_braille_dots_13678,
    "braille_dots_23678" => SYM_braille_dots_23678,
    "braille_dots_123678" => SYM_braille_dots_123678,
    "braille_dots_4678" => SYM_braille_dots_4678,
    "braille_dots_14678" => SYM_braille_dots_14678,
    "braille_dots_24678" => SYM_braille_dots_24678,
    "braille_dots_124678" => SYM_braille_dots_124678,
    "braille_dots_34678" => SYM_braille_dots_34678,
    "braille_dots_134678" => SYM_braille_dots_134678,
    "braille_dots_234678" => SYM_braille_dots_234678,
    "braille_dots_1234678" => SYM_braille_dots_1234678,
    "braille_dots_5678" => SYM_braille_dots_5678,
    "braille_dots_15678" => SYM_braille_dots_15678,
    "braille_dots_25678" => SYM_braille_dots_25678,
    "braille_dots_125678" => SYM_braille_dots_125678,
    "braille_dots_35678" => SYM_braille_dots_35678,
    "braille_dots_135678" => SYM_braille_dots_135678,
    "braille_dots_235678" => SYM_braille_dots_235678,
    "braille_dots_1235678" => SYM_braille_dots_1235678,
    "braille_dots_45678" => SYM_braille_dots_45678,
    "braille_dots_145678" => SYM_braille_dots_145678,
    "braille_dots_245678" => SYM_braille_dots_245678,
    "braille_dots_1245678" => SYM_braille_dots_1245678,
    "braille_dots_345678" => SYM_braille_dots_345678,
    "braille_dots_1345678" => SYM_braille_dots_1345678,
    "braille_dots_2345678" => SYM_braille_dots_2345678,
    "braille_dots_12345678" => SYM_braille_dots_12345678,
    "Sinh_ng" => SYM_Sinh_ng,
    "Sinh_h2" => SYM_Sinh_h2,
    "Sinh_a" => SYM_Sinh_a,
    "Sinh_aa" => SYM_Sinh_aa,
    "Sinh_ae" => SYM_Sinh_ae,
    "Sinh_aee" => SYM_Sinh_aee,
    "Sinh_i" => SYM_Sinh_i,
    "Sinh_ii" => SYM_Sinh_ii,
    "Sinh_u" => SYM_Sinh_u,
    "Sinh_uu" => SYM_Sinh_uu,
    "Sinh_ri" => SYM_Sinh_ri,
    "Sinh_rii" => SYM_Sinh_rii,
    "Sinh_lu" => SYM_Sinh_lu,
    "Sinh_luu" => SYM_Sinh_luu,
    "Sinh_e" => SYM_Sinh_e,
    "Sinh_ee" => SYM_Sinh_ee,
    "Sinh_ai" => SYM_Sinh_ai,
    "Sinh_o" => SYM_Sinh_o,
    "Sinh_oo" => SYM_Sinh_oo,
    "Sinh_au" => SYM_Sinh_au,
    "Sinh_ka" => SYM_Sinh_ka,
    "Sinh_kha" => SYM_Sinh_kha,
    "Sinh_ga" => SYM_Sinh_ga,
    "Sinh_gha" => SYM_Sinh_gha,
    "Sinh_ng2" => SYM_Sinh_ng2,
    "Sinh_nga" => SYM_Sinh_nga,
    "Sinh_ca" => SYM_Sinh_ca,
    "Sinh_cha" => SYM_Sinh_cha,
    "Sinh_ja" => SYM_Sinh_ja,
    "Sinh_jha" => SYM_Sinh_jha,
    "Sinh_nya" => SYM_Sinh_nya,
    "Sinh_jnya" => SYM_Sinh_jnya,
    "Sinh_nja" => SYM_Sinh_nja,
    "Sinh_tta" => SYM_Sinh_tta,
    "Sinh_ttha" => SYM_Sinh_ttha,
    "Sinh_dda" => SYM_Sinh_dda,
    "Sinh_ddha" => SYM_Sinh_ddha,
    "Sinh_nna" => SYM_Sinh_nna,
    "Sinh_ndda" => SYM_Sinh_ndda,
    "Sinh_tha" => SYM_Sinh_tha,
    "Sinh_thha" => SYM_Sinh_thha,
    "Sinh_dha" => SYM_Sinh_dha,
    "Sinh_dhha" => SYM_Sinh_dhha,
    "Sinh_na" => SYM_Sinh_na,
    "Sinh_ndha" => SYM_Sinh_ndha,
    "Sinh_pa" => SYM_Sinh_pa,
    "Sinh_pha" => SYM_Sinh_pha,
    "Sinh_ba" => SYM_Sinh_ba,
    "Sinh_bha" => SYM_Sinh_bha,
    "Sinh_ma" => SYM_Sinh_ma,
    "Sinh_mba" => SYM_Sinh_mba,
    "Sinh_ya" => SYM_Sinh_ya,
    "Sinh_ra" => SYM_Sinh_ra,
    "Sinh_la" => SYM_Sinh_la,
    "Sinh_va" => SYM_Sinh_va,
    "Sinh_sha" => SYM_Sinh_sha,
    "Sinh_ssha" => SYM_Sinh_ssha,
    "Sinh_sa" => SYM_Sinh_sa,
    "Sinh_ha" => SYM_Sinh_ha,
    "Sinh_lla" => SYM_Sinh_lla,
    "Sinh_fa" => SYM_Sinh_fa,
    "Sinh_al" => SYM_Sinh_al,
    "Sinh_aa2" => SYM_Sinh_aa2,
    "Sinh_ae2" => SYM_Sinh_ae2,
    "Sinh_aee2" => SYM_Sinh_aee2,
    "Sinh_i2" => SYM_Sinh_i2,
    "Sinh_ii2" => SYM_Sinh_ii2,
    "Sinh_u2" => SYM_Sinh_u2,
    "Sinh_uu2" => SYM_Sinh_uu2,
    "Sinh_ru2" => SYM_Sinh_ru2,
    "Sinh_e2" => SYM_Sinh_e2,
    "Sinh_ee2" => SYM_Sinh_ee2,
    "Sinh_ai2" => SYM_Sinh_ai2,
    "Sinh_o2" => SYM_Sinh_o2,
    "Sinh_oo2" => SYM_Sinh_oo2,
    "Sinh_au2" => SYM_Sinh_au2,
    "Sinh_lu2" => SYM_Sinh_lu2,
    "Sinh_ruu2" => SYM_Sinh_ruu2,
    "Sinh_luu2" => SYM_Sinh_luu2,
    "Sinh_kunddaliya" => SYM_Sinh_kunddaliya,
    "XF86ModeLock" => SYM_XF86ModeLock,
    "XF86MonBrightnessUp" => SYM_XF86MonBrightnessUp,
    "XF86MonBrightnessDown" => SYM_XF86MonBrightnessDown,
    "XF86KbdLightOnOff" => SYM_XF86KbdLightOnOff,
    "XF86KbdBrightnessUp" => SYM_XF86KbdBrightnessUp,
    "XF86KbdBrightnessDown" => SYM_XF86KbdBrightnessDown,
    "XF86MonBrightnessCycle" => SYM_XF86MonBrightnessCycle,
    "XF86Standby" => SYM_XF86Standby,
    "XF86AudioLowerVolume" => SYM_XF86AudioLowerVolume,
    "XF86AudioMute" => SYM_XF86AudioMute,
    "XF86AudioRaiseVolume" => SYM_XF86AudioRaiseVolume,
    "XF86AudioPlay" => SYM_XF86AudioPlay,
    "XF86AudioStop" => SYM_XF86AudioStop,
    "XF86AudioPrev" => SYM_XF86AudioPrev,
    "XF86AudioNext" => SYM_XF86AudioNext,
    "XF86HomePage" => SYM_XF86HomePage,
    "XF86Mail" => SYM_XF86Mail,
    "XF86Start" => SYM_XF86Start,
    "XF86Search" => SYM_XF86Search,
    "XF86AudioRecord" => SYM_XF86AudioRecord,
    "XF86Calculator" => SYM_XF86Calculator,
    "XF86Memo" => SYM_XF86Memo,
    "XF86ToDoList" => SYM_XF86ToDoList,
    "XF86Calendar" => SYM_XF86Calendar,
    "XF86PowerDown" => SYM_XF86PowerDown,
    "XF86ContrastAdjust" => SYM_XF86ContrastAdjust,
    "XF86RockerUp" => SYM_XF86RockerUp,
    "XF86RockerDown" => SYM_XF86RockerDown,
    "XF86RockerEnter" => SYM_XF86RockerEnter,
    "XF86Back" => SYM_XF86Back,
    "XF86Forward" => SYM_XF86Forward,
    "XF86Stop" => SYM_XF86Stop,
    "XF86Refresh" => SYM_XF86Refresh,
    "XF86PowerOff" => SYM_XF86PowerOff,
    "XF86WakeUp" => SYM_XF86WakeUp,
    "XF86Eject" => SYM_XF86Eject,
    "XF86ScreenSaver" => SYM_XF86ScreenSaver,
    "XF86WWW" => SYM_XF86WWW,
    "XF86Sleep" => SYM_XF86Sleep,
    "XF86Favorites" => SYM_XF86Favorites,
    "XF86AudioPause" => SYM_XF86AudioPause,
    "XF86AudioMedia" => SYM_XF86AudioMedia,
    "XF86MyComputer" => SYM_XF86MyComputer,
    "XF86VendorHome" => SYM_XF86VendorHome,
    "XF86LightBulb" => SYM_XF86LightBulb,
    "XF86Shop" => SYM_XF86Shop,
    "XF86History" => SYM_XF86History,
    "XF86OpenURL" => SYM_XF86OpenURL,
    "XF86AddFavorite" => SYM_XF86AddFavorite,
    "XF86HotLinks" => SYM_XF86HotLinks,
    "XF86BrightnessAdjust" => SYM_XF86BrightnessAdjust,
    "XF86Finance" => SYM_XF86Finance,
    "XF86Community" => SYM_XF86Community,
    "XF86AudioRewind" => SYM_XF86AudioRewind,
    "XF86BackForward" => SYM_XF86BackForward,
    "XF86Launch0" => SYM_XF86Launch0,
    "XF86Launch1" => SYM_XF86Launch1,
    "XF86Launch2" => SYM_XF86Launch2,
    "XF86Launch3" => SYM_XF86Launch3,
    "XF86Launch4" => SYM_XF86Launch4,
    "XF86Launch5" => SYM_XF86Launch5,
    "XF86Launch6" => SYM_XF86Launch6,
    "XF86Launch7" => SYM_XF86Launch7,
    "XF86Launch8" => SYM_XF86Launch8,
    "XF86Launch9" => SYM_XF86Launch9,
    "XF86LaunchA" => SYM_XF86LaunchA,
    "XF86LaunchB" => SYM_XF86LaunchB,
    "XF86LaunchC" => SYM_XF86LaunchC,
    "XF86LaunchD" => SYM_XF86LaunchD,
    "XF86LaunchE" => SYM_XF86LaunchE,
    "XF86LaunchF" => SYM_XF86LaunchF,
    "XF86ApplicationLeft" => SYM_XF86ApplicationLeft,
    "XF86ApplicationRight" => SYM_XF86ApplicationRight,
    "XF86Book" => SYM_XF86Book,
    "XF86CD" => SYM_XF86CD,
    "XF86Calculater" => SYM_XF86Calculater,
    "XF86Clear" => SYM_XF86Clear,
    "XF86Close" => SYM_XF86Close,
    "XF86Copy" => SYM_XF86Copy,
    "XF86Cut" => SYM_XF86Cut,
    "XF86Display" => SYM_XF86Display,
    "XF86DOS" => SYM_XF86DOS,
    "XF86Documents" => SYM_XF86Documents,
    "XF86Excel" => SYM_XF86Excel,
    "XF86Explorer" => SYM_XF86Explorer,
    "XF86Game" => SYM_XF86Game,
    "XF86Go" => SYM_XF86Go,
    "XF86iTouch" => SYM_XF86iTouch,
    "XF86LogOff" => SYM_XF86LogOff,
    "XF86Market" => SYM_XF86Market,
    "XF86Meeting" => SYM_XF86Meeting,
    "XF86MenuKB" => SYM_XF86MenuKB,
    "XF86MenuPB" => SYM_XF86MenuPB,
    "XF86MySites" => SYM_XF86MySites,
    "XF86New" => SYM_XF86New,
    "XF86News" => SYM_XF86News,
    "XF86OfficeHome" => SYM_XF86OfficeHome,
    "XF86Open" => SYM_XF86Open,
    "XF86Option" => SYM_XF86Option,
    "XF86Paste" => SYM_XF86Paste,
    "XF86Phone" => SYM_XF86Phone,
    "XF86Q" => SYM_XF86Q,
    "XF86Reply" => SYM_XF86Reply,
    "XF86Reload" => SYM_XF86Reload,
    "XF86RotateWindows" => SYM_XF86RotateWindows,
    "XF86RotationPB" => SYM_XF86RotationPB,
    "XF86RotationKB" => SYM_XF86RotationKB,
    "XF86Save" => SYM_XF86Save,
    "XF86ScrollUp" => SYM_XF86ScrollUp,
    "XF86ScrollDown" => SYM_XF86ScrollDown,
    "XF86ScrollClick" => SYM_XF86ScrollClick,
    "XF86Send" => SYM_XF86Send,
    "XF86Spell" => SYM_XF86Spell,
    "XF86SplitScreen" => SYM_XF86SplitScreen,
    "XF86Support" => SYM_XF86Support,
    "XF86TaskPane" => SYM_XF86TaskPane,
    "XF86Terminal" => SYM_XF86Terminal,
    "XF86Tools" => SYM_XF86Tools,
    "XF86Travel" => SYM_XF86Travel,
    "XF86UserPB" => SYM_XF86UserPB,
    "XF86User1KB" => SYM_XF86User1KB,
    "XF86User2KB" => SYM_XF86User2KB,
    "XF86Video" => SYM_XF86Video,
    "XF86WheelButton" => SYM_XF86WheelButton,
    "XF86Word" => SYM_XF86Word,
    "XF86Xfer" => SYM_XF86Xfer,
    "XF86ZoomIn" => SYM_XF86ZoomIn,
    "XF86ZoomOut" => SYM_XF86ZoomOut,
    "XF86Away" => SYM_XF86Away,
    "XF86Messenger" => SYM_XF86Messenger,
    "XF86WebCam" => SYM_XF86WebCam,
    "XF86MailForward" => SYM_XF86MailForward,
    "XF86Pictures" => SYM_XF86Pictures,
    "XF86Music" => SYM_XF86Music,
    "XF86Battery" => SYM_XF86Battery,
    "XF86Bluetooth" => SYM_XF86Bluetooth,
    "XF86WLAN" => SYM_XF86WLAN,
    "XF86UWB" => SYM_XF86UWB,
    "XF86AudioForward" => SYM_XF86AudioForward,
    "XF86AudioRepeat" => SYM_XF86AudioRepeat,
    "XF86AudioRandomPlay" => SYM_XF86AudioRandomPlay,
    "XF86Subtitle" => SYM_XF86Subtitle,
    "XF86AudioCycleTrack" => SYM_XF86AudioCycleTrack,
    "XF86CycleAngle" => SYM_XF86CycleAngle,
    "XF86FrameBack" => SYM_XF86FrameBack,
    "XF86FrameForward" => SYM_XF86FrameForward,
    "XF86Time" => SYM_XF86Time,
    "XF86Select" => SYM_XF86Select,
    "XF86View" => SYM_XF86View,
    "XF86TopMenu" => SYM_XF86TopMenu,
    "XF86Red" => SYM_XF86Red,
    "XF86Green" => SYM_XF86Green,
    "XF86Yellow" => SYM_XF86Yellow,
    "XF86Blue" => SYM_XF86Blue,
    "XF86Suspend" => SYM_XF86Suspend,
    "XF86Hibernate" => SYM_XF86Hibernate,
    "XF86TouchpadToggle" => SYM_XF86TouchpadToggle,
    "XF86TouchpadOn" => SYM_XF86TouchpadOn,
    "XF86TouchpadOff" => SYM_XF86TouchpadOff,
    "XF86AudioMicMute" => SYM_XF86AudioMicMute,
    "XF86Keyboard" => SYM_XF86Keyboard,
    "XF86WWAN" => SYM_XF86WWAN,
    "XF86RFKill" => SYM_XF86RFKill,
    "XF86AudioPreset" => SYM_XF86AudioPreset,
    "XF86RotationLockToggle" => SYM_XF86RotationLockToggle,
    "XF86FullScreen" => SYM_XF86FullScreen,
    "XF86Switch_VT_1" => SYM_XF86Switch_VT_1,
    "XF86Switch_VT_2" => SYM_XF86Switch_VT_2,
    "XF86Switch_VT_3" => SYM_XF86Switch_VT_3,
    "XF86Switch_VT_4" => SYM_XF86Switch_VT_4,
    "XF86Switch_VT_5" => SYM_XF86Switch_VT_5,
    "XF86Switch_VT_6" => SYM_XF86Switch_VT_6,
    "XF86Switch_VT_7" => SYM_XF86Switch_VT_7,
    "XF86Switch_VT_8" => SYM_XF86Switch_VT_8,
    "XF86Switch_VT_9" => SYM_XF86Switch_VT_9,
    "XF86Switch_VT_10" => SYM_XF86Switch_VT_10,
    "XF86Switch_VT_11" => SYM_XF86Switch_VT_11,
    "XF86Switch_VT_12" => SYM_XF86Switch_VT_12,
    "XF86Ungrab" => SYM_XF86Ungrab,
    "XF86ClearGrab" => SYM_XF86ClearGrab,
    "XF86Next_VMode" => SYM_XF86Next_VMode,
    "XF86Prev_VMode" => SYM_XF86Prev_VMode,
    "XF86LogWindowTree" => SYM_XF86LogWindowTree,
    "XF86LogGrabInfo" => SYM_XF86LogGrabInfo,
    "XF86BrightnessAuto" => SYM_XF86BrightnessAuto,
    "XF86DisplayOff" => SYM_XF86DisplayOff,
    "XF86Info" => SYM_XF86Info,
    "XF86AspectRatio" => SYM_XF86AspectRatio,
    "XF86DVD" => SYM_XF86DVD,
    "XF86Audio" => SYM_XF86Audio,
    "XF86ChannelUp" => SYM_XF86ChannelUp,
    "XF86ChannelDown" => SYM_XF86ChannelDown,
    "XF86Break" => SYM_XF86Break,
    "XF86VideoPhone" => SYM_XF86VideoPhone,
    "XF86ZoomReset" => SYM_XF86ZoomReset,
    "XF86Editor" => SYM_XF86Editor,
    "XF86GraphicsEditor" => SYM_XF86GraphicsEditor,
    "XF86Presentation" => SYM_XF86Presentation,
    "XF86Database" => SYM_XF86Database,
    "XF86Voicemail" => SYM_XF86Voicemail,
    "XF86Addressbook" => SYM_XF86Addressbook,
    "XF86DisplayToggle" => SYM_XF86DisplayToggle,
    "XF86SpellCheck" => SYM_XF86SpellCheck,
    "XF86ContextMenu" => SYM_XF86ContextMenu,
    "XF86MediaRepeat" => SYM_XF86MediaRepeat,
    "XF8610ChannelsUp" => SYM_XF8610ChannelsUp,
    "XF8610ChannelsDown" => SYM_XF8610ChannelsDown,
    "XF86Images" => SYM_XF86Images,
    "XF86NotificationCenter" => SYM_XF86NotificationCenter,
    "XF86PickupPhone" => SYM_XF86PickupPhone,
    "XF86HangupPhone" => SYM_XF86HangupPhone,
    "XF86Fn" => SYM_XF86Fn,
    "XF86Fn_Esc" => SYM_XF86Fn_Esc,
    "XF86FnRightShift" => SYM_XF86FnRightShift,
    "XF86Numeric0" => SYM_XF86Numeric0,
    "XF86Numeric1" => SYM_XF86Numeric1,
    "XF86Numeric2" => SYM_XF86Numeric2,
    "XF86Numeric3" => SYM_XF86Numeric3,
    "XF86Numeric4" => SYM_XF86Numeric4,
    "XF86Numeric5" => SYM_XF86Numeric5,
    "XF86Numeric6" => SYM_XF86Numeric6,
    "XF86Numeric7" => SYM_XF86Numeric7,
    "XF86Numeric8" => SYM_XF86Numeric8,
    "XF86Numeric9" => SYM_XF86Numeric9,
    "XF86NumericStar" => SYM_XF86NumericStar,
    "XF86NumericPound" => SYM_XF86NumericPound,
    "XF86NumericA" => SYM_XF86NumericA,
    "XF86NumericB" => SYM_XF86NumericB,
    "XF86NumericC" => SYM_XF86NumericC,
    "XF86NumericD" => SYM_XF86NumericD,
    "XF86CameraFocus" => SYM_XF86CameraFocus,
    "XF86WPSButton" => SYM_XF86WPSButton,
    "XF86CameraZoomIn" => SYM_XF86CameraZoomIn,
    "XF86CameraZoomOut" => SYM_XF86CameraZoomOut,
    "XF86CameraUp" => SYM_XF86CameraUp,
    "XF86CameraDown" => SYM_XF86CameraDown,
    "XF86CameraLeft" => SYM_XF86CameraLeft,
    "XF86CameraRight" => SYM_XF86CameraRight,
    "XF86AttendantOn" => SYM_XF86AttendantOn,
    "XF86AttendantOff" => SYM_XF86AttendantOff,
    "XF86AttendantToggle" => SYM_XF86AttendantToggle,
    "XF86LightsToggle" => SYM_XF86LightsToggle,
    "XF86ALSToggle" => SYM_XF86ALSToggle,
    "XF86Buttonconfig" => SYM_XF86Buttonconfig,
    "XF86Taskmanager" => SYM_XF86Taskmanager,
    "XF86Journal" => SYM_XF86Journal,
    "XF86ControlPanel" => SYM_XF86ControlPanel,
    "XF86AppSelect" => SYM_XF86AppSelect,
    "XF86Screensaver" => SYM_XF86Screensaver,
    "XF86VoiceCommand" => SYM_XF86VoiceCommand,
    "XF86Assistant" => SYM_XF86Assistant,
    "XF86EmojiPicker" => SYM_XF86EmojiPicker,
    "XF86Dictate" => SYM_XF86Dictate,
    "XF86CameraAccessEnable" => SYM_XF86CameraAccessEnable,
    "XF86CameraAccessDisable" => SYM_XF86CameraAccessDisable,
    "XF86CameraAccessToggle" => SYM_XF86CameraAccessToggle,
    "XF86BrightnessMin" => SYM_XF86BrightnessMin,
    "XF86BrightnessMax" => SYM_XF86BrightnessMax,
    "XF86KbdInputAssistPrev" => SYM_XF86KbdInputAssistPrev,
    "XF86KbdInputAssistNext" => SYM_XF86KbdInputAssistNext,
    "XF86KbdInputAssistPrevgroup" => SYM_XF86KbdInputAssistPrevgroup,
    "XF86KbdInputAssistNextgroup" => SYM_XF86KbdInputAssistNextgroup,
    "XF86KbdInputAssistAccept" => SYM_XF86KbdInputAssistAccept,
    "XF86KbdInputAssistCancel" => SYM_XF86KbdInputAssistCancel,
    "XF86RightUp" => SYM_XF86RightUp,
    "XF86RightDown" => SYM_XF86RightDown,
    "XF86LeftUp" => SYM_XF86LeftUp,
    "XF86LeftDown" => SYM_XF86LeftDown,
    "XF86RootMenu" => SYM_XF86RootMenu,
    "XF86MediaTopMenu" => SYM_XF86MediaTopMenu,
    "XF86Numeric11" => SYM_XF86Numeric11,
    "XF86Numeric12" => SYM_XF86Numeric12,
    "XF86AudioDesc" => SYM_XF86AudioDesc,
    "XF863DMode" => SYM_XF863DMode,
    "XF86NextFavorite" => SYM_XF86NextFavorite,
    "XF86StopRecord" => SYM_XF86StopRecord,
    "XF86PauseRecord" => SYM_XF86PauseRecord,
    "XF86VOD" => SYM_XF86VOD,
    "XF86Unmute" => SYM_XF86Unmute,
    "XF86FastReverse" => SYM_XF86FastReverse,
    "XF86SlowReverse" => SYM_XF86SlowReverse,
    "XF86Data" => SYM_XF86Data,
    "XF86OnScreenKeyboard" => SYM_XF86OnScreenKeyboard,
    "XF86PrivacyScreenToggle" => SYM_XF86PrivacyScreenToggle,
    "XF86SelectiveScreenshot" => SYM_XF86SelectiveScreenshot,
    "XF86NextElement" => SYM_XF86NextElement,
    "XF86PreviousElement" => SYM_XF86PreviousElement,
    "XF86AutopilotEngageToggle" => SYM_XF86AutopilotEngageToggle,
    "XF86MarkWaypoint" => SYM_XF86MarkWaypoint,
    "XF86Sos" => SYM_XF86Sos,
    "XF86NavChart" => SYM_XF86NavChart,
    "XF86FishingChart" => SYM_XF86FishingChart,
    "XF86SingleRangeRadar" => SYM_XF86SingleRangeRadar,
    "XF86DualRangeRadar" => SYM_XF86DualRangeRadar,
    "XF86RadarOverlay" => SYM_XF86RadarOverlay,
    "XF86TraditionalSonar" => SYM_XF86TraditionalSonar,
    "XF86ClearvuSonar" => SYM_XF86ClearvuSonar,
    "XF86SidevuSonar" => SYM_XF86SidevuSonar,
    "XF86NavInfo" => SYM_XF86NavInfo,
    "XF86Macro1" => SYM_XF86Macro1,
    "XF86Macro2" => SYM_XF86Macro2,
    "XF86Macro3" => SYM_XF86Macro3,
    "XF86Macro4" => SYM_XF86Macro4,
    "XF86Macro5" => SYM_XF86Macro5,
    "XF86Macro6" => SYM_XF86Macro6,
    "XF86Macro7" => SYM_XF86Macro7,
    "XF86Macro8" => SYM_XF86Macro8,
    "XF86Macro9" => SYM_XF86Macro9,
    "XF86Macro10" => SYM_XF86Macro10,
    "XF86Macro11" => SYM_XF86Macro11,
    "XF86Macro12" => SYM_XF86Macro12,
    "XF86Macro13" => SYM_XF86Macro13,
    "XF86Macro14" => SYM_XF86Macro14,
    "XF86Macro15" => SYM_XF86Macro15,
    "XF86Macro16" => SYM_XF86Macro16,
    "XF86Macro17" => SYM_XF86Macro17,
    "XF86Macro18" => SYM_XF86Macro18,
    "XF86Macro19" => SYM_XF86Macro19,
    "XF86Macro20" => SYM_XF86Macro20,
    "XF86Macro21" => SYM_XF86Macro21,
    "XF86Macro22" => SYM_XF86Macro22,
    "XF86Macro23" => SYM_XF86Macro23,
    "XF86Macro24" => SYM_XF86Macro24,
    "XF86Macro25" => SYM_XF86Macro25,
    "XF86Macro26" => SYM_XF86Macro26,
    "XF86Macro27" => SYM_XF86Macro27,
    "XF86Macro28" => SYM_XF86Macro28,
    "XF86Macro29" => SYM_XF86Macro29,
    "XF86Macro30" => SYM_XF86Macro30,
    "XF86MacroRecordStart" => SYM_XF86MacroRecordStart,
    "XF86MacroRecordStop" => SYM_XF86MacroRecordStop,
    "XF86MacroPresetCycle" => SYM_XF86MacroPresetCycle,
    "XF86MacroPreset1" => SYM_XF86MacroPreset1,
    "XF86MacroPreset2" => SYM_XF86MacroPreset2,
    "XF86MacroPreset3" => SYM_XF86MacroPreset3,
    "XF86KbdLcdMenu1" => SYM_XF86KbdLcdMenu1,
    "XF86KbdLcdMenu2" => SYM_XF86KbdLcdMenu2,
    "XF86KbdLcdMenu3" => SYM_XF86KbdLcdMenu3,
    "XF86KbdLcdMenu4" => SYM_XF86KbdLcdMenu4,
    "XF86KbdLcdMenu5" => SYM_XF86KbdLcdMenu5,
    "SunFA_Grave" => SYM_SunFA_Grave,
    "SunFA_Circum" => SYM_SunFA_Circum,
    "SunFA_Tilde" => SYM_SunFA_Tilde,
    "SunFA_Acute" => SYM_SunFA_Acute,
    "SunFA_Diaeresis" => SYM_SunFA_Diaeresis,
    "SunFA_Cedilla" => SYM_SunFA_Cedilla,
    "SunF36" => SYM_SunF36,
    "SunF37" => SYM_SunF37,
    "SunSys_Req" => SYM_SunSys_Req,
    "SunPrint_Screen" => SYM_SunPrint_Screen,
    "SunCompose" => SYM_SunCompose,
    "SunAltGraph" => SYM_SunAltGraph,
    "SunPageUp" => SYM_SunPageUp,
    "SunPageDown" => SYM_SunPageDown,
    "SunUndo" => SYM_SunUndo,
    "SunAgain" => SYM_SunAgain,
    "SunFind" => SYM_SunFind,
    "SunStop" => SYM_SunStop,
    "SunProps" => SYM_SunProps,
    "SunFront" => SYM_SunFront,
    "SunCopy" => SYM_SunCopy,
    "SunOpen" => SYM_SunOpen,
    "SunPaste" => SYM_SunPaste,
    "SunCut" => SYM_SunCut,
    "SunPowerSwitch" => SYM_SunPowerSwitch,
    "SunAudioLowerVolume" => SYM_SunAudioLowerVolume,
    "SunAudioMute" => SYM_SunAudioMute,
    "SunAudioRaiseVolume" => SYM_SunAudioRaiseVolume,
    "SunVideoDegauss" => SYM_SunVideoDegauss,
    "SunVideoLowerBrightness" => SYM_SunVideoLowerBrightness,
    "SunVideoRaiseBrightness" => SYM_SunVideoRaiseBrightness,
    "SunPowerSwitchShift" => SYM_SunPowerSwitchShift,
    "Dring_accent" => SYM_Dring_accent,
    "Dcircumflex_accent" => SYM_Dcircumflex_accent,
    "Dcedilla_accent" => SYM_Dcedilla_accent,
    "Dacute_accent" => SYM_Dacute_accent,
    "Dgrave_accent" => SYM_Dgrave_accent,
    "Dtilde" => SYM_Dtilde,
    "Ddiaeresis" => SYM_Ddiaeresis,
    "DRemove" => SYM_DRemove,
    "hpClearLine" => SYM_hpClearLine,
    "hpInsertLine" => SYM_hpInsertLine,
    "hpDeleteLine" => SYM_hpDeleteLine,
    "hpInsertChar" => SYM_hpInsertChar,
    "hpDeleteChar" => SYM_hpDeleteChar,
    "hpBackTab" => SYM_hpBackTab,
    "hpKP_BackTab" => SYM_hpKP_BackTab,
    "hpModelock1" => SYM_hpModelock1,
    "hpModelock2" => SYM_hpModelock2,
    "hpReset" => SYM_hpReset,
    "hpSystem" => SYM_hpSystem,
    "hpUser" => SYM_hpUser,
    "hpmute_acute" => SYM_hpmute_acute,
    "hpmute_grave" => SYM_hpmute_grave,
    "hpmute_asciicircum" => SYM_hpmute_asciicircum,
    "hpmute_diaeresis" => SYM_hpmute_diaeresis,
    "hpmute_asciitilde" => SYM_hpmute_asciitilde,
    "hplira" => SYM_hplira,
    "hpguilder" => SYM_hpguilder,
    "hpYdiaeresis" => SYM_hpYdiaeresis,
    "hpIO" => SYM_hpIO,
    "hplongminus" => SYM_hplongminus,
    "hpblock" => SYM_hpblock,
    "osfCopy" => SYM_osfCopy,
    "osfCut" => SYM_osfCut,
    "osfPaste" => SYM_osfPaste,
    "osfBackTab" => SYM_osfBackTab,
    "osfBackSpace" => SYM_osfBackSpace,
    "osfClear" => SYM_osfClear,
    "osfEscape" => SYM_osfEscape,
    "osfAddMode" => SYM_osfAddMode,
    "osfPrimaryPaste" => SYM_osfPrimaryPaste,
    "osfQuickPaste" => SYM_osfQuickPaste,
    "osfPageLeft" => SYM_osfPageLeft,
    "osfPageUp" => SYM_osfPageUp,
    "osfPageDown" => SYM_osfPageDown,
    "osfPageRight" => SYM_osfPageRight,
    "osfActivate" => SYM_osfActivate,
    "osfMenuBar" => SYM_osfMenuBar,
    "osfLeft" => SYM_osfLeft,
    "osfUp" => SYM_osfUp,
    "osfRight" => SYM_osfRight,
    "osfDown" => SYM_osfDown,
    "osfEndLine" => SYM_osfEndLine,
    "osfBeginLine" => SYM_osfBeginLine,
    "osfEndData" => SYM_osfEndData,
    "osfBeginData" => SYM_osfBeginData,
    "osfPrevMenu" => SYM_osfPrevMenu,
    "osfNextMenu" => SYM_osfNextMenu,
    "osfPrevField" => SYM_osfPrevField,
    "osfNextField" => SYM_osfNextField,
    "osfSelect" => SYM_osfSelect,
    "osfInsert" => SYM_osfInsert,
    "osfUndo" => SYM_osfUndo,
    "osfMenu" => SYM_osfMenu,
    "osfCancel" => SYM_osfCancel,
    "osfHelp" => SYM_osfHelp,
    "osfSelectAll" => SYM_osfSelectAll,
    "osfDeselectAll" => SYM_osfDeselectAll,
    "osfReselect" => SYM_osfReselect,
    "osfExtend" => SYM_osfExtend,
    "osfRestore" => SYM_osfRestore,
    "osfDelete" => SYM_osfDelete,
    "Reset" => SYM_Reset,
    "System" => SYM_System,
    "User" => SYM_User,
    "ClearLine" => SYM_ClearLine,
    "InsertLine" => SYM_InsertLine,
    "DeleteLine" => SYM_DeleteLine,
    "InsertChar" => SYM_InsertChar,
    "DeleteChar" => SYM_DeleteChar,
    "BackTab" => SYM_BackTab,
    "KP_BackTab" => SYM_KP_BackTab,
    "Ext16bit_L" => SYM_Ext16bit_L,
    "Ext16bit_R" => SYM_Ext16bit_R,
    "mute_acute" => SYM_mute_acute,
    "mute_grave" => SYM_mute_grave,
    "mute_asciicircum" => SYM_mute_asciicircum,
    "mute_diaeresis" => SYM_mute_diaeresis,
    "mute_asciitilde" => SYM_mute_asciitilde,
    "lira" => SYM_lira,
    "guilder" => SYM_guilder,
    "IO" => SYM_IO,
    "longminus" => SYM_longminus,
    "block" => SYM_block,
};
